2000-01-28  Gerald Brose  <brose@inf.fu-berlin.de>

	* demo/transaction/BankImpl.java, demo/mtclient/Client.java, demo/outparam/MyServer.java, demo/outparam/my_struct.java, demo/interceptors/MyServer.java, demo/grid/MyServer.java, demo/events/PullConsumerDemo.java, demo/events/ChannelServer.java, demo/events/Makefile, demo/any/AnyServer.java, demo/Makefile.rules, demo/Makefile, demo/dynany/Makefile, demo/dynany/Server.java, demo/dynany/DynAnyServerImpl.java, demo/dii/dynamicServer.java, demo/dii/serverHelper.java, demo/dii/Server.java, demo/poa_monitor/winmake.bat, demo/poa_monitor/foox.idl, demo/poa_monitor/Makefile~:
	*** empty log message ***

	* src/jacorb/poa/POA.java: cosmetics

	* src/jacorb/idl/Interface.java:
	(writeHelper) changed generated insert methods to use insert_Object
	instead of insert_Streamable

	* src/jacorb/orb/ORB.java: resolved merge conflicts

	* src/jacorb/events/EventChannelImpl.java:
	(internal_try_pull) return an null-type any if no event was found

	* src/jacorb/orb/BasicAdapter.java: cosmetics

	* src/jacorb/util/Environment.java: (readValue) removed output

2000-01-28  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/Delegate.java, src/jacorb/orb/ORB.java:
	removed Prefix "Basic" from domain classes

	* src/jacorb/orb/domain/test/testDomainManagerClient.java, src/jacorb/orb/domain/test/testDomainManagerServer.java, src/jacorb/orb/domain/test/DomainManagerTesterServer.java, src/jacorb/orb/domain/test/DomainServiceTesterClient.java, src/jacorb/orb/domain/test/DomainServiceTesterServer.java, src/jacorb/orb/domain/test/Makefile, src/jacorb/orb/domain/test/ReferenceTester.java, src/jacorb/orb/domain/test/BasicDomainManagerTesterClient.java, src/jacorb/orb/domain/test/BasicDomainManagerTesterServer.java, src/jacorb/orb/domain/test/DomainManagerTesterClient.java, src/jacorb/orb/domain/TestPolicyImpl.java, src/jacorb/orb/domain/DomainManagement.idl, src/jacorb/orb/domain/DomainManagerImpl.java, src/jacorb/orb/domain/DomainServer.java, src/jacorb/orb/domain/DomainServiceImpl.java, src/jacorb/orb/domain/Makefile, src/jacorb/orb/domain/BasicDomainManagerImpl.java, src/jacorb/orb/domain/BasicDomainServiceImpl.java:
	changed package structure. all domain classes reside nowe in jacorb.orb.domain
	deleted Prefix "Basic"

2000-01-28  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/dii/Request.java:
	(_read_result) and (_invoke) corrected sending and receiving
	NamedValues, added correct checks for arg_mode

	* src/jacorb/orb/NamedValue.java:
	(send/receive) removed check for arg_modes, calling classes must check direction

	* src/jacorb/security/level2/ReceivedCredentials.java, src/jacorb/security/ssl/SSLSetup.orig:
	*** empty log message ***

	* src/jacorb/security/ssl/SSLServerSocketFactory.java, src/jacorb/security/ssl/SSLSetup.java:
	cosmetics

2000-01-27  Gerald Brose  <brose@inf.fu-berlin.de>

	* demo/transaction/bank.idl, demo/transaction/Makefile.nmake, demo/transaction/Makefile.nmake.$$$, demo/transaction/Lock.java, demo/transaction/Makefile, demo/transaction/BankImpl.java, demo/transaction/Client.java, demo/transaction/InsufficientFunds.java, demo/transaction/AccountImpl.java, src/java_mapping/SecurityLevel2/CredentialsHolder.java, src/java_mapping/PortableServer/ServantActivatorPOA.java, src/java_mapping/PortableServer/ServantLocatorPOA.java:
	*** empty log message ***

	* src/jacorb/transaction/TransactionService.java: (main) added

	* src/jacorb/security/ssl/SSLSetup.java: cosmetics

	* src/jacorb/security/ssl/SSLServerSocketFactory.java:
	(createServerSocket) all versions: throw IOException rather than
	silently exit.

	* src/jacorb/idl/EnumType.java: (toString) added
	(typeName) corrected

2000-01-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* demo/authentication/keys, demo/authentication/Client.java~, demo/authentication/Makefile, demo/authentication/Makefile~, demo/authentication/Client.class, demo/authentication/Client.java:
	*** empty log message ***

	* src/jacorb/security/level2/Credentials.java, src/jacorb/security/level2/Current.java, src/jacorb/security/level2/PrincipalAuthenticator.java:
	read certificates from key store and create SecurityAttributes
	in Credentials according to cert type.

	* src/jacorb/security/util/CertUtils.java, src/jacorb/security/util/KeyStoreManager.java:
	added DNames to parameter list for createCert operations

2000-01-26  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/DomainManagement.idl:
	removed one factory inteface

2000-01-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/security/util/CertUtils.java, src/jacorb/security/util/KSEntryTree.java, src/jacorb/security/util/KeyStoreManager.java:
	modified to reflect moving methods to new class CertUtils

	* src/jacorb/security/util/KeyStoreUtil.java:
	moved pure certificate management to CertUrtils

	* src/jacorb/idl/SequenceType.java:
	(setPackage) added check for max != null

	* bin/appligator: changed to call ForwarderImpl

2000-01-26  Sebastian Mueller  <semu@z1>

	* src/jacorb/proxy/proxyserverPOA.java, src/jacorb/proxy/proxyserverPOATie.java, src/jacorb/proxy/proxyserverImpl.java, src/jacorb/proxy/proxyserverOperations.java, src/jacorb/proxy/proxyserverHolder.java, src/jacorb/proxy/proxyserver.java, src/jacorb/proxy/proxyserverHelper.java, src/jacorb/proxy/orbProxyServer.java, src/jacorb/proxy/_proxyserverStub.java, src/jacorb/proxy/dynamicProxy.java:
	Alte Version aus dem Rep. geloescht.

2000-01-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/security/util/KeyStoreUtil.java:
	(createPublicKeyCert) modified parameters to allow anybody to sign anything

	* src/jacorb/security/util/KeyStoreManager.java:
	(createCert) also generate public key certificates

	* src/jacorb/idl/SequenceType.java:
	(setPackage) also propagate package names into the ConstExpr

	* demo/any/Client.java: *** empty log message ***

2000-01-25  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/test/Makefile: cosmetics

	* src/jacorb/orb/domain/BasicDomainManagerImpl.java, src/jacorb/orb/domain/DomainManagement.idl:
	changed attribute description in idl def from readonly to normal

2000-01-25  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/security/util/KeyStoreManager.java, src/jacorb/security/ssl/SSLSetup.java:
	*** empty log message ***

	* Makefile: new make file rules for separate idl compiler jar file

	* src/jacorb/transaction/Sleeper.java, src/jacorb/transaction/Timer.java, src/jacorb/transaction/TransactionService.java, src/jacorb/transaction/Makefile~, src/jacorb/transaction/RecoveryCoordinatorImpl.java, src/jacorb/transaction/ResourceImpl.java, src/jacorb/transaction/Makefile, src/jacorb/transaction/Makefile.win, src/jacorb/transaction/CoordinatorImpl.java:
	*** empty log message ***

	* src/jacorb/util/Environment.java:
	removed call to SSLSetup in static initializer

	* src/jacorb/security/Makefile, src/jacorb/security/level2/PrincipalAuthenticator.java, src/jacorb/security/level2/Credentials.java, src/jacorb/security/level2/Current.java:
	*** empty log message ***

	* src/jacorb/security/util/KeyStoreUtil.java: (getCerts) new method

	* src/jacorb/security/level2/PrincipalAuthenticator.java, src/jacorb/security/level2/Credentials.java, src/jacorb/security/level2/Current.java:
	*** empty log message ***

	* src/jacorb/security/level2/Credentials.java, src/jacorb/security/level2/Current.java, src/jacorb/security/level2/PrincipalAuthenticator.java:
	removed spki references

	* src/jacorb/security/util/KeyStoreUtil.java:
	(getSelfSignedCert) renamed to createSelfSignedCert

2000-01-24  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/test/Makefile:
	transfered process killing functionality from shell script "killer"
	into this makefile

2000-01-24  Gerald Brose  <brose@inf.fu-berlin.de>

	* doc/ProgrammingGuide.tex:
	Imr chapter, added description for use_imr property

	* src/jacorb/orb/BasicAdapter.java: correction in constructor

	* src/jacorb/security/Dummy/SSLSetup.java, src/jacorb/security/Makefile, src/jacorb/orb/BasicAdapter.java, src/jacorb/orb/Delegate.java, src/jacorb/naming/NamingContextImpl.java, src/jacorb/idl/Interface.java, src/jacorb/Makefile:
	*** empty log message ***

	* src/jacorb/poa/util/LogTrace.java, src/jacorb/poa/util/LogWriter.java, src/jacorb/poa/util/Makefile, src/jacorb/poa/util/POAUtil.java, src/jacorb/poa/util/StringPair.java, src/jacorb/poa/util/IdUtil.java, src/jacorb/poa/policy/RequestProcessingPolicy.java, src/jacorb/poa/policy/ServantRetentionPolicy.java, src/jacorb/poa/policy/ThreadPolicy.java, src/jacorb/poa/policy/IdAssignmentPolicy.java, src/jacorb/poa/policy/IdUniquenessPolicy.java, src/jacorb/poa/policy/ImplicitActivationPolicy.java, src/jacorb/poa/policy/LifespanPolicy.java, src/jacorb/poa/policy/Makefile, src/jacorb/poa/except/ParentIsHolding.java, src/jacorb/poa/except/ResourceLimitReachedException.java, src/jacorb/poa/except/ShutdownInProgressException.java, src/jacorb/poa/except/ApplicationError.java, src/jacorb/poa/except/CompletionRequestedException.java, src/jacorb/poa/except/InactiveException.java, src/jacorb/poa/except/Makefile, src/jacorb/poa/except/POAInternalError.java:
	New version from Reimo

	* src/jacorb/poa/RPPoolManagerListener.java, src/jacorb/poa/RequestController.java, src/jacorb/poa/RequestProcessor.java, src/jacorb/poa/RequestQueue.java, src/jacorb/poa/RequestQueueListener.java, src/jacorb/poa/POAManagerMonitorLightImpl.java, src/jacorb/poa/POAMonitor.java, src/jacorb/poa/POAMonitorImpl.java, src/jacorb/poa/POAMonitorLightImpl.java, src/jacorb/poa/RPPoolManager.java, src/jacorb/poa/POAListener.java, src/jacorb/poa/POAManager.java, src/jacorb/poa/POAManagerMonitor.java, src/jacorb/poa/POAManagerMonitorImpl.java, src/jacorb/poa/Makefile.win, src/jacorb/poa/POA.java, src/jacorb/poa/POAAdapter.java, src/jacorb/poa/POAConstants.java, src/jacorb/poa/Current.java, src/jacorb/poa/EventListener.java, src/jacorb/poa/EventMulticaster.java, src/jacorb/poa/InvocationContext.java, src/jacorb/poa/LocalInvocationContext.java, src/jacorb/poa/Makefile, src/jacorb/poa/AOM.java, src/jacorb/poa/AOMListener.java:
	New version from Reimo, better context handling

	* src/jacorb/poa/gui/poa/QueueListItemController.java, src/jacorb/poa/gui/poa/QueuePanel.java, src/jacorb/poa/gui/poa/StatePanel.java, src/jacorb/poa/gui/poa/TMPanel.java, src/jacorb/poa/gui/poa/ObjectListItemController.java, src/jacorb/poa/gui/poa/POAFrame.java, src/jacorb/poa/gui/poa/POAStatePanel.java, src/jacorb/poa/gui/poa/PolicyPanel.java, src/jacorb/poa/gui/poa/QueueListItem.java, src/jacorb/poa/gui/poa/AOMPanel.java, src/jacorb/poa/gui/poa/DetailsButtonController.java, src/jacorb/poa/gui/poa/ObjectListItem.java, src/jacorb/poa/gui/pm/StatePanel.java, src/jacorb/poa/gui/pm/StatePanelController.java, src/jacorb/poa/gui/pm/POAManagerFrame.java, src/jacorb/poa/gui/pm/POAManagerStatePanel.java, src/jacorb/poa/gui/pm/RegisterPanel.java, src/jacorb/poa/gui/pm/RegisterPanelController.java, src/jacorb/poa/gui/beans/MessageDialog.java, src/jacorb/poa/gui/beans/PopupMenu.java, src/jacorb/poa/gui/beans/DoubleListHeaderPanel.java, src/jacorb/poa/gui/beans/DoubleListItem.java, src/jacorb/poa/gui/beans/ExtendedPopupMenu.java, src/jacorb/poa/gui/beans/FillLevelBar.java, src/jacorb/poa/gui/beans/FillLevelCanvas.java, src/jacorb/poa/gui/beans/CloseButtonPanel.java, src/jacorb/poa/gui/beans/CloseButtonPanelController.java, src/jacorb/poa/gui/beans/ConsolePanel.java, src/jacorb/poa/gui/beans/DoubleListDialog.java, src/jacorb/poa/gui/Makefile, src/jacorb/poa/gui/POAManagerMonitorController.java, src/jacorb/poa/gui/POAManagerMonitorView.java, src/jacorb/poa/gui/POAMonitorController.java, src/jacorb/poa/gui/POAMonitorView.java:
	*** empty log message ***

	* src/jacorb/orb/Delegate.java (servant_preinvoke):
	incorporate changes from Reimo

2000-01-24  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/ORB.java: anpassungen an den neuen Proxy

	* src/jacorb/proxy/orbProxyServer.java, src/jacorb/proxy/ForwarderImpl.java:
	pre release version. alles jetzt in forwarderImpl.

2000-01-24  Herbert Kiefer  <kiefer@z1>

	* jacorb_properties.template: added URL entry for domain service

	* src/jacorb/orb/domain/test/Makefile:
	changed JACORB to ORB, should work better

2000-01-24  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/security/ssl/SSLSetup.java: remove getCipherSuite again

	* Makefile.config: added IAIK variable

	* src/jacorb/security/Makefile: check for IAIK variable

	* src/jacorb/orb/ORB.java: *** empty log message ***

	* src/jacorb/orb/ORB.java: variable proxyObj now of type Forwarder

	* src/jacorb/util/Environment.java: *** empty log message ***

2000-01-21  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Delegate.java: cosmetics

2000-01-21  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/test/killer, src/jacorb/orb/domain/Makefile:
	made makefile compilable by higher lever makefile(s)

	* src/jacorb/orb/ORB.java: added domain service

	* src/jacorb/orb/Delegate.java:
	added implementation of get_domain_managers and get_policy

2000-01-21  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Delegate.java: (enforceSSL) added null pointer check

	* src/jacorb/orb/BasicAdapter.java: *** empty log message ***

	* src/jacorb/security/ssl/SSLSetup.java:
	(getCipherSuites) added to avoid having to access cs directly

	* src/jacorb/security/Dummy/SSLSetup.java:
	added two more methods so that SSLSocketFactory (and ServerSocketFactory)
	accept the dummy

	* src/jacorb/orb/ORB.java:
	(createIOR) only create SSL profile component if environment supports
	SSL (check property first!)

	* src/jacorb/security/ssl/SSLServerSocketFactory.java:
	(getDefaultCipherSuites) access SSLSetup CipherSuites using an
	accessro rather than directly access static variable cs

2000-01-21  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/Makefile: added domain to subdir list

2000-01-21  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/security/ssl/SSLSocketFactory.java:
	(getDefaultCipherSuites) use accessor method rather than access
	SSLSetup.cs, necessary for dummy to work

2000-01-21  Herbert Kiefer  <kiefer@z1>

	* Makefile: added domain tag and commands for idl/SSLIOP.idl

2000-01-20  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/util/Environment.java:
	added URL support for domain service

2000-01-20  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile.config: added IAIK

2000-01-20  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/DomainServer.java, src/jacorb/orb/domain/Makefile:
	added domain server and automated testing with input files

	* src/jacorb/orb/domain/test/inputfiles/README, src/jacorb/orb/domain/test/inputfiles/ReferenceTester.1, src/jacorb/orb/domain/test/inputfiles/DomainServiceTesterClient.1, src/jacorb/orb/domain/test/EnvironmentTester.java, src/jacorb/orb/domain/test/ReferenceTester.java, src/jacorb/orb/domain/test/Util.java, src/jacorb/orb/domain/test/DomainServiceTesterClient.java, src/jacorb/orb/domain/test/DomainServiceTesterServer.java:
	automated testing with input files

2000-01-18  dedeben  <dedeben@z1>

	* src/jacorb/security/ssl/SSLSetup.java, src/jacorb/security/Makefile.win, src/jacorb/security/Makefile, src/jacorb/security/Dummy/SSLSetup.java, src/jacorb/orb/Delegate.java, src/jacorb/orb/ORB.java, src/jacorb/orb/BasicAdapter.java, src/jacorb/orb/Connection.java, src/jacorb/util/Environment.java, src/jacorb/orb/util/PrintIOR.java, src/jacorb/security/ORBSSLServerTrustDecider.java, src/jacorb/security/ORBSSLClientTrustDecider.java, src/jacorb/security/CertificatesManager.java, src/jacorb/security/ssl/SSLSocketFactory.java, src/jacorb/security/ssl/SSLServerSocketFactory.java, src/jacorb/util/net/SocketFactory.java, src/jacorb/util/net/ServerSocketFactory.java, src/jacorb/util/Makefile, src/jacorb/util/Makefile.win:
	SSL support

2000-01-17  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/test/Util.java, src/jacorb/orb/domain/test/BasicDomainManagerTesterClient.java, src/jacorb/orb/domain/test/DomainServiceTesterClient.java, src/jacorb/orb/domain/test/DomainServiceTesterServer.java, src/jacorb/orb/domain/BasicDomainServiceImpl.java, src/jacorb/orb/domain/Makefile:
	begun integration of domain service into jacorb

2000-01-17  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/util/ObjectUtil.java: *** empty log message ***

	* src/jacorb/orb/ORB.java: removed security current for now

	* src/jacorb/security/level2/Current.java: cleaned out spki

2000-01-15  (brose)  <jacorb@z1>

	* src/jacorb/security/util/KeyStoreManager.java: test

2000-01-14  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/test/testDomainManagerClient.java, src/jacorb/orb/domain/test/testDomainManagerServer.java, src/jacorb/orb/domain/test/testInteger.java, src/jacorb/orb/domain/test/DomainServiceTesterClient.java, src/jacorb/orb/domain/test/DomainServiceTesterServer.java, src/jacorb/orb/domain/test/Util.java, src/jacorb/orb/domain/test/BasicDomainManagerTesterClient.java, src/jacorb/orb/domain/test/BasicDomainManagerTesterServer.java, src/jacorb/orb/domain/Makefile, src/jacorb/orb/domain/testDomainManagerClient.java, src/jacorb/orb/domain/testDomainManagerServer.java, src/jacorb/orb/domain/BasicDomainManagerTesterClient.java, src/jacorb/orb/domain/BasicDomainManagerTesterServer.java:
	moved tesing classes in seperate diretory "test"

2000-01-13  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile: (trader) compile nested directories also

	* src/jacorb/security/util/UserSponsor.java, src/jacorb/security/util/KSEntryTree.java, src/jacorb/security/util/KeyStoreManager.java, src/jacorb/security/util/KeyStoreUtil.java:
	*** empty log message ***

2000-01-12  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/BasicDomainServiceImpl.java, src/jacorb/orb/domain/DomainManagement.idl, src/jacorb/orb/domain/Makefile, src/jacorb/orb/domain/BasicDomainManagerImpl.java:
	added testing classes for domain service, added remove into domain factory

2000-01-11  Gerald Brose  <brose@inf.fu-berlin.de>

	* jacorb_properties.template: *** empty log message ***

	* Makefile:
	(rule: names) corrected such as to also compile subdirectories

	* src/jacorb/idl/SequenceType.java:
	removed instance variable typedefd (now inherited from TemplateTypeSpec)

2000-01-10  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/security/util/NoKeyStoreException.java, src/jacorb/security/util/UserSponsor.java, src/jacorb/security/util/KeyStoreUtil.java, src/jacorb/security/util/Makefile, src/jacorb/security/util/KSEntryTree.java, src/jacorb/security/util/KeyStoreManager.java:
	*** empty log message ***

	* Makefile.win: appjar entry added

	* Makefile: corrected appjar entry to also add jacorb/util classes

2000-01-07  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/Makefile, src/jacorb/orb/domain/TestPolicyImpl.java, src/jacorb/orb/domain/BasicDomainManagerImpl.java, src/jacorb/orb/domain/BasicDomainManagerTesterClient.java, src/jacorb/orb/domain/BasicDomainServiceImpl.java:
	finished automation of revision tags

	* src/jacorb/orb/domain/BasicDomainManagerTesterServer.java:
	added revision tag

	* src/jacorb/orb/domain/DomainManagement.idl, src/jacorb/orb/domain/Makefile, src/jacorb/orb/domain/TestPolicyImpl.java, src/jacorb/orb/domain/testDomainManagerServer.java, src/jacorb/orb/domain/BasicDomainManagerImpl.java, src/jacorb/orb/domain/BasicDomainManagerTesterClient.java, src/jacorb/orb/domain/BasicDomainManagerTesterServer.java, src/jacorb/orb/domain/BasicDomainServiceImpl.java:
	finished testing of BasicDomainManagerImpl.java

	* src/jacorb/orb/domain/BasicDomainServiceImpl.java:
	*** empty log message ***

	* src/jacorb/orb/domain/BasicDomainManagerImpl.java:
	added default policy functions

2000-01-07  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/CDROutputStream.java: cometics

	* src/jacorb/idl/Member.java: cosmetics

	* src/jacorb/idl/TypeDef.java:
	(parse) also mark FixedPointType specs as typedefd

	* src/jacorb/idl/SequenceType.java:
	moved markTypeDefd() to TemplateTypeSpec

	* src/jacorb/idl/TemplateTypeSpec.java:
	(markTypeDefd) new, moved here from SequenceType

	* src/jacorb/orb/CDRInputStream.java: cosmetics

	* src/jacorb/idl/FixedPointType.java:
	(printReadStatement) corrected for non-typedefd type specs

	* src/jacorb/idl/PrimaryExpr.java, src/jacorb/idl/ConstDecl.java:
	cosmetics

	* src/jacorb/idl/StringType.java:
	(setPackage) delegate call to max also

2000-01-06  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/SequenceType.java, src/jacorb/idl/EnumType.java, src/jacorb/idl/ScopedName.java, src/java_mapping/CORBA/CODESET_INCOMPATIBLE.java:
	*** empty log message ***

	* src/jacorb/idl/SequenceType.java: (toString) removed org.omg again

2000-01-05  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/java_mapping/CORBA/CODESET_INCOMPATIBLE.java, src/java_mapping/CORBA/INV_POLICY.java:
	*** empty log message ***

	* Makefile:
	added rm lines for exceptions INV_POLICY and CODESET_INCOMPATIBLE

2000-01-04  Herbert Kiefer  <kiefer@z1>

	* src/jacorb/orb/domain/DomainManagement.idl, src/jacorb/orb/domain/DomainManagerImpl.java, src/jacorb/orb/domain/Makefile, src/jacorb/orb/domain/TestPolicyImpl.java, src/jacorb/orb/domain/testDomainManagerClient.java, src/jacorb/orb/domain/BasicDomainManagerTesterClient.java, src/jacorb/orb/domain/BasicDomainManagerTesterServer.java, src/jacorb/orb/domain/BasicDomainServiceImpl.java, src/jacorb/orb/domain/BasicDomainManagerImpl.java:
	adding domain service implementation from laptop + test classes

2000-01-04  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile: test change

2000-01-04  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile: test change

1999-12-20  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/security/level2/Current.java, src/jacorb/security/level2/PrincipalAuthenticator.java, src/jacorb/security/level2/Credentials.java, src/jacorb/orb/dii/Request.java:
	*** empty log message ***

	* src/jacorb/proxy/ForwarderImpl.java, src/jacorb/proxy/dynamicProxy.java:
	pass orb to RequestOutputStream constructor

	* src/jacorb/orb/Connection.java: *** empty log message ***

	* src/jacorb/orb/Delegate.java:
	pass prb to RequestOuputStream constructor

	* src/jacorb/orb/ORB.java, src/jacorb/orb/giop/RequestOutputStream.java, src/jacorb/util/Debug.java, src/jacorb/util/Environment.java, src/jacorb/idl/parser.cup, src/jacorb/idl/InterfaceBody.java, src/jacorb/idl/SequenceType.java:
	*** empty log message ***

	* src/jacorb/idl/SequenceType.java: (toString)

	* src/jacorb/idl/SequenceType.java: (typeName)

	* idl/orb.idl: reordered

	* src/jacorb/trading/impl/LookupImpl.java: *** empty log message ***

	* src/jacorb/trading/constraint/Constraint.java (parse):
	allow empty constraint strings

1999-12-17  Gerald Brose  <brose@inf.fu-berlin.de>

	* idl/orb.idl:
	fleshed out DomainManager so other interfaces can be derived
	from it

	* idl/SecurityAdmin.idl, idl/SecurityLevel2.idl, idl/Security.idl:
	updated for CORBASEC 1.5

	* idl/SecurityReplaceable.idl: updated to CORBASEC 1.5

	* idl/SECIOP.idl: updated for CORBASEC 1.5

	* src/jacorb/naming/NamingContextImpl.java (rebind):
	changed NotFoundReason to not_object

1999-12-14  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile: *** empty log message ***

1999-12-10  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/lexer.java:
	(needsJavaEscape) for Modules and Interfaces added

	* src/jacorb/idl/Interface.java (parse):
	check whether interface name needs to be escaped

	* src/jacorb/idl/ScopedName.java (typeName):
	check for packages with and without escape

	* src/jacorb/idl/Module.java (setPackage):
	check whether module name needs to be escaped

	* src/jacorb/idl/EnumType.java (parse):
	check for presence of outer pack name before defining identifiers.

1999-12-08  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/naming/NamingContextImpl.java (new context):
	removed integer new object ids, use java hash code instead

	* src/jacorb/orb/Delegate.java (invoke):
	moved call to unbind() to a safer place to avoid
	NullPointerException on later retries to bind.

	* src/jacorb/trading/util/PropUtil.java:
	(getPropertyValue) catch NullPointerExceptions also.

	* src/jacorb/trading/impl/OfferEvaluator.java (constructor):
	check that thread priority does not exceed MAX_PRIORITY

	* src/jacorb/trading/TradingService.java (getProperty):
	changed getBoolean to valueOf(res).booleanValue()

1999-12-07  Nicolas Noffke  <noffke@z1>

	* README.imr: NamingService: removed "jaco" from startup command

1999-12-02  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/lexer.java (perprocess):
	fixed reading string for prefix

1999-12-01  Sebastian Mueller  <semu@z1>

	* src/jacorb/proxy/Forwarder.idl: *** empty log message ***

	* src/jacorb/proxy/_ForwarderStub.java, src/jacorb/proxy/ForwarderOperations.java, src/jacorb/proxy/ForwarderPOA.java, src/jacorb/proxy/ForwarderPOATie.java, src/jacorb/proxy/ForwarderHolder.java, src/jacorb/proxy/ForwarderImpl.java, src/jacorb/proxy/Forwarder.java, src/jacorb/proxy/ForwarderHelper.java:
	New version of Appligator with use of POA

1999-12-01  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ORB.java: (getReference) acceot null rep_ids

	* idl/orb.idl: added DomainManager and DomainManagerList

1999-11-30  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/Method.java (printMethod): set/get confusion removed

	* src/jacorb/idl/InterfaceBody.java (printSkelInvocations):
	fixed bug in name.

1999-11-29  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Makefile.win, src/jacorb/orb/Makefile:
	*** empty log message ***

1999-11-27  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/NamedValue.java, REL_NOTES, src/jacorb/orb/Delegate.java:
	*** empty log message ***

	* src/jacorb/orb/ORBSingleton.java:
	(create_list) pass this to constr of NVList

	* src/jacorb/orb/NVList.java: call ORB to create named values

	* src/jacorb/orb/dsi/ServerRequest.java: *** empty log message ***

	* src/jacorb/orb/NamedValue.java:
	(send, receive) corrected checks for arg mode

	* src/jacorb/orb/dii/Request.java:
	response_expected passed to constructor for RequestOutputStream

	* src/jacorb/orb/dsi/ServerRequest.java (reply):
	out args are now returned

	* Makefile.config: *** empty log message ***

	* demo/dii/Client.java, demo/dii/dynamicServer.java, demo/dii/server.idl, demo/dii/serverHelper.java, demo/dii/serverImpl.java:
	include an out args example in the demo

	* README.imr: *** empty log message ***

1999-11-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* classes/jacorb.jar, src/jacorb/idl/Makefile, Makefile, Makefile.win, Makefile.config.win:
	*** empty log message ***

1999-11-26  Nicolas Noffke  <noffke@z1>

	* src/jacorb/trading/test/OutputForwarder.java, src/jacorb/trading/test/LoadTest.java, src/jacorb/trading/test/Makefile, src/jacorb/trading/test/ImportThread.java, src/jacorb/trading/test/ExampleSetup.java, src/jacorb/trading/test/ExceptionTest.java:
	*** empty log message ***

	* src/jacorb/trading/impl/LinkImpl.java:
	Fixed throwing wrong exceptions in add/modifyLink()

1999-11-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/imr/util/ImRModel.java: removed reference to ImRNode

1999-11-25  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile.config: *** empty log message ***

	* src/jacorb/events/ProxyPushSupplierImpl.java, src/jacorb/events/EventListElement.java, src/jacorb/events/ProxyPullConsumerImpl.java, src/jacorb/events/ProxyPullSupplierImpl.java, src/jacorb/events/ProxyPushConsumerImpl.java, src/jacorb/events/EventChannelImpl.java:
	changed EventChannelImpl constructor

	* INSTALL, jacorb_properties.template, REL_NOTES, README, src/jacorb/imr/Makefile, src/jacorb/imr/Makefile.win, Makefile.config.win, Makefile.config, src/jacorb/util/Version.java:
	*** empty log message ***

	* src/jacorb/naming/ListContext.java (list):
	added a null pointer check for the binding holder value

	* src/jacorb/orb/Connection.java (sendReply):
	corrected server message interceptor invocation (buf
	length was wrong)

	* src/jacorb/orb/SystemExceptionHelper.java (read,write):
	don't send or receive reason strings, not mandated by GIOP

	* src/jacorb/events/EventChannelImpl.java, demo/events/ChannelServer.java:
	*** empty log message ***

1999-11-25  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/util/ImRManager.java:
	Modified removeServer (now remove()) to be able to remove hosts as well.

	* src/jacorb/imr/util/ImRModel.java:
	modified handleException, fixed that refreshServer did not update the POA table.

	* src/jacorb/imr/util/RefreshWindow.java: Wrote small comment.

	* src/jacorb/imr/ImplementationRepositoryImpl.java:
	Added method removeHost() to remove stale SSD references

	* src/jacorb/imr/ServerTable.java:
	Added return value for remove host so ImRImpl knows when the hostname was wrong.

	* src/jacorb/imr/Makefile:
	Adapted to changes in directory structure(imr.idl moved in this dir)

	* src/jacorb/imr/imr.idl: File shifted upwards from generatded/

	* src/jacorb/imr/generated/imr.idl, src/jacorb/imr/generated/Makefile.win:
	Directory contents shifted upwards

	* src/jacorb/imr/generated/Makefile: *** empty log message ***

1999-11-25  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile.config: *** empty log message ***

1999-11-24  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ORB.java, src/jacorb/orb/Delegate.java (Delegate.duplicate):
	unbind if connection is null

	ORB: no ImR warning

	* src/jacorb/idl/OpDecl.java, src/jacorb/idl/Interface.java, src/jacorb/idl/InterfaceBody.java:
	corrected transmitted operation name for cases where the mapped
	java name has a leading underscore

	* classes/jacorb.jar: *** empty log message ***

1999-11-24  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/util/ImRModel.java, src/jacorb/imr/util/server.gif, src/jacorb/imr/util/poa.gif:
	*** empty log message ***

1999-11-24  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/poa/RequestProcessor.java (run):
	ser verbosity level for request logging to 3

	* src/jacorb/util/Environment.java:
	warning for missing properties file depends on verbosity level now

	* src/jacorb/orb/Connection.java, src/jacorb/orb/Makefile:
	*** empty log message ***

	* src/jacorb/orb/Connection.java (readBuffer):
	catch *any* exception and always notify all waiting
	client thrads!

	* src/jacorb/orb/ORB.java (_getConnection):
	establish an initial connection even with retries==0

1999-11-22  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile.config, Makefile.config.win, demo/Makefile.rules.win, src/jacorb/trading/client/Makefile.win, src/jacorb/imr/generated/Makefile.win, Makefile.win, demo/any/AnyServerImpl.java:
	*** empty log message ***

	* Makefile.config: added MV

	* Makefile.config.win: no message

	* src/jacorb/imr/util/ImRTreeNode.java, src/jacorb/imr/util/ImRServerNode.java, src/jacorb/imr/util/ImRNode.java, src/jacorb/imr/util/ImRPOANode.java, Makefile.config.sol, Makefile.config, demo/dynany/Makefile.win, demo/dynany/Makefile:
	*** empty log message ***

1999-11-21  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/util/ImRPOATableModel.java, src/jacorb/imr/util/ImRTreeCellRenderer.java, src/jacorb/imr/util/RefreshWindow.java, src/jacorb/imr/util/ImRManagerGUI.java, src/jacorb/imr/util/ImRModel.java:
	GUI data is now updated periodically by a thread

1999-11-20  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile.config.win, demo/Makefile.rules.win, demo/poa_monitor/Makefile.win, demo/unions/Makefile.win, demo/mtclient/Makefile.win, demo/outparam/Makefile.win, demo/grid/Makefile.win, demo/interceptors/Makefile.win, demo/dii/Makefile.win, demo/dynany/Makefile.win, demo/events/Makefile.win, demo/benchmark/Makefile.win, demo/Makefile.win, demo/any/Makefile.win, demo/arrays/Makefile.win, demo/Makefile.rules, demo/unions/Makefile, demo/poa_monitor/Makefile, demo/outparam/Makefile, demo/mtclient/Makefile, demo/interceptors/Makefile, demo/grid/Makefile, demo/events/Makefile, demo/dynany/Makefile, demo/dii/Makefile, demo/benchmark/Makefile, demo/arrays/Makefile, demo/any/Makefile:
	*** empty log message ***

	* bin/jaco.bat, classes/jacorb.jar, Makefile.config, Makefile.config.win, src/jacorb/trading/client/Makefile.win, src/jacorb/trading/client/seqtest/Makefile.win, src/jacorb/proxy/Makefile.win, src/jacorb/trading/Makefile.win, src/jacorb/trading/impl/Makefile.win, src/jacorb/trading/util/Makefile.win, src/jacorb/poa/Makefile.win, src/jacorb/naming/Makefile.win, src/jacorb/events/Makefile.win, src/jacorb/imr/generated/Makefile.win, src/jacorb/imr/Makefile.win, Makefile.win, src/jacorb/util/Makefile.win, src/jacorb/idl/Makefile.win:
	no message

	* Makefile.config.win, src/java_cup/runtime/Makefile, src/jacorb/trading/Makefile, src/jacorb/proxy/Makefile, src/jacorb/orb/Makefile.win, src/jacorb/orb/ORB.java, src/jacorb/orb/Delegate.java, src/jacorb/imr/generated/Makefile, src/jacorb/imr/Makefile, src/jacorb/idl/sym.java, src/jacorb/idl/parser.cup, src/jacorb/idl/parser.java, src/jacorb/idl/Makefile.win, src/jacorb/Makefile.win:
	*** empty log message ***

	* idl/Security.idl: _Public

	* doc/interceptors.eps, doc/NmgrNewCtx.eps, doc/NmgrContextDlg.eps, doc/NmgrNewContextPopup.eps, doc/Nmgr1.eps, bin/jaco, bin/jaco.bat, Makefile.test, Makefile.win, Makefile, Makefile.config, classes/jacorb.jar, demo/outparam/Makefile, demo/outparam/Makefile.win, demo/unions/Makefile, demo/unions/Makefile.win, demo/mtclient/Makefile.win, demo/mtclient/server.idl, demo/mtclient/serverImpl.java, demo/interceptors/Makefile, demo/interceptors/Makefile.win, demo/mtclient/ClientThread.java, demo/mtclient/Makefile, demo/dynany/Makefile.win, demo/events/Makefile, demo/events/Makefile.win, demo/events/PullConsumerDemo.java, demo/benchmark/Makefile, demo/benchmark/Makefile.win, demo/dynany/Makefile, demo/any/Makefile, demo/any/Makefile.win, demo/arrays/Makefile, demo/arrays/Makefile.win, demo/dii/Makefile.win, demo/dii/Makefile, demo/poa_monitor/client/Client.java, demo/poa_monitor/Makefile, demo/poa_monitor/Makefile.win, demo/grid/Makefile.win, demo/grid/Makefile:
	*** empty log message ***

1999-11-19  Gerald Brose  <brose@inf.fu-berlin.de>

	* doc/ProgrammingGuide.tex: changed the IDL compiler description

	* src/jacorb/proxy/dynamicProxy.java:
	orb variable init: removed 1.1 type cast problem

	* src/jacorb/imr/ServerStartupDaemonImpl.java:
	moved static variable m_out_prefix to outer class (JDK 1.1!)

1999-11-19  Herbert Kiefer  <kiefer@z1>

	* classes/jacorb.jar: *** empty log message ***

1999-11-18  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/naming/NameServer.java: out file error

	* Makefile.config: *** empty log message ***

	* src/jacorb/naming/NamingContextImpl.java (new_context):
	corrected object activation, uses user_id

	* Makefile: *** empty log message ***

	* src/jacorb/util/Makefile, src/jacorb/trading/util/Makefile, src/jacorb/trading/db/simple/offers/Makefile, src/jacorb/trading/impl/Makefile, src/jacorb/security/level2/Makefile, src/jacorb/trading/Makefile, src/jacorb/poa/util/Makefile, src/jacorb/proxy/Makefile, src/jacorb/poa/gui/Makefile, src/jacorb/poa/policy/Makefile, src/jacorb/poa/except/Makefile, src/jacorb/poa/Makefile, src/jacorb/orb/ir/Makefile, src/jacorb/orb/util/Makefile, src/jacorb/orb/dsi/Makefile, src/jacorb/orb/dynany/Makefile, src/jacorb/orb/giop/Makefile, src/jacorb/orb/dii/Makefile, src/jacorb/naming/Makefile, src/jacorb/orb/Makefile, src/jacorb/imr/Makefile, src/jacorb/imr/generated/Makefile, src/jacorb/idl/sym.java, src/jacorb/idl/lexer.java, src/jacorb/idl/parser.cup, src/jacorb/idl/parser.java, src/jacorb/idl/Makefile, src/jacorb/events/Makefile:
	removed update/jar rules

	* src/jacorb/Makefile, idl/CosLifeCycle.idl, Makefile:
	*** empty log message ***

1999-11-17  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/Makefile: *** empty log message ***

	* src/jacorb/naming/NameServer.java, src/jacorb/naming/NamingContextImpl.java:
	more robust file handling

1999-11-14  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/util/ImRServerNode.java, src/jacorb/imr/util/ImRServerTableModel.java, src/jacorb/imr/util/ImRTableCellEditor.java, src/jacorb/imr/util/ImRTreeCellRenderer.java, src/jacorb/imr/util/ImRTreeNode.java, src/jacorb/imr/util/ImRManager.java, src/jacorb/imr/util/ImRModel.java, src/jacorb/imr/util/ImRNode.java, src/jacorb/imr/util/ImRPOANode.java, src/jacorb/imr/util/ImRPOATableModel.java, src/jacorb/imr/util/ImRManagerGUI.java:
	Cosmetics and commenting

	* src/jacorb/imr/ImplementationRepositoryImpl.java:
	Added a bit of safety ;-)

1999-11-12  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/ArrayTypeSpec.java (printReadStatement,printWriteStatement):
	different idx variables for
	loops over multidimensional arrays.

1999-11-10  Gerald Brose  <brose@inf.fu-berlin.de>

	* jacorb_properties.template, Makefile: *** empty log message ***

	* Makefile.config: added IMPLREURL, PROXYURL

	* src/jacorb/idl/sym.java, src/jacorb/idl/Makefile, src/jacorb/idl/parser.java, src/jacorb/idl/GlobalInputStream.java:
	allow multiple -I<path> inlclude paths

	* src/jacorb/idl/Interface.java: (holderName) respect org.omg prefix

	* src/jacorb/idl/parser.cup: pl 3

	* src/jacorb/orb/CDROutputStream.java:
	(write_wstring) commented out case 0:

	* src/jacorb/orb/CDRInputStream.java (read_wchar): uncommented case 0:

	* src/jacorb/idl/SequenceType.java (holderName, helperName):
	added check for org.omg-Prefix

1999-11-09  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/imr/ImplementationRepositoryImpl.java (getImr):
	changed verbosity for debug output

	* src/jacorb/Makefile.win, src/jacorb/Makefile, src/jacorb/imr/util/server.gif, src/jacorb/imr/util/ImRTreeCellRenderer.java, src/jacorb/imr/util/ImRTreeNode.java, src/jacorb/imr/util/poa.gif, src/jacorb/imr/util/ImRServerTableModel.java, src/jacorb/imr/util/ImRTableCellEditor.java, src/jacorb/imr/util/ImRPOANode.java, src/jacorb/imr/util/ImRPOATableModel.java, src/jacorb/imr/util/ImRServerNode.java, src/jacorb/imr/util/ImRManagerGUI.java, src/jacorb/imr/util/ImRModel.java, src/jacorb/imr/util/ImRNode.java, src/jacorb/imr/util/ConnectWindow.java, src/jacorb/imr/util/ImRManager.java, src/jacorb/imr/util/AddServerWindow.java:
	*** empty log message ***

	* src/jacorb/imr/generated/Makefile, src/jacorb/imr/ServerTable.java, src/jacorb/imr/ImplementationRepositoryImpl.java, src/jacorb/imr/Makefile, src/jacorb/imr/RessourceLock.java, src/jacorb/imr/ServerStartupDaemonImpl.java, src/jacorb/imr/ImRHostInfo.java, src/jacorb/imr/ImRPOAInfo.java, src/jacorb/imr/ImRServerInfo.java:
	new GUI version

1999-11-09  mdevicek  <mdevicek@z1>

	* src/jacorb/orb/CDROutputStream.java, src/jacorb/orb/Connection.java, src/jacorb/orb/CDRInputStream.java:
	Corrected problem with wstrings. It was caused by incorrect string size
	sent because for GIOP 1.1 and older the wstring size is encoded as count
	of characters. As oposite, in GIOP 1.2 and newer it's always encoded as
	octet count.

1999-11-08  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/generated/imr.idl:
	extended HostInfo struct by field for ior string

1999-11-08  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/imr/util/RemoveServer.java, src/jacorb/imr/util/ImRManagerGUI.java, src/jacorb/imr/util/ImRShutdown.java, src/jacorb/imr/util/AddServer.java, src/jacorb/imr/util/ImRManager.java, Makefile.config, Makefile, src/jacorb/util/Makefile.win, src/jacorb/util/Makefile, src/java_mapping/CORBA/UnknownUserExceptionHolder.java, src/java_mapping/CORBA/UserException.java, src/java_mapping/CORBA/TypeCodeHolder.java, src/java_mapping/CORBA/UNKNOWN.java, src/java_mapping/CORBA/UnknownUserException.java, src/java_mapping/CORBA/TRANSACTION_ROLLBACK.java, src/java_mapping/CORBA/TRANSIENT.java, src/java_mapping/CORBA/TypeCode.java, src/java_mapping/CORBA/StringHolder.java, src/java_mapping/CORBA/SystemException.java, src/java_mapping/CORBA/TRANSACTION_REQUIRED.java, src/java_mapping/CORBA/ServerRequest.java, src/java_mapping/CORBA/ShortHolder.java, src/java_mapping/CORBA/PrincipalHolder.java, src/java_mapping/CORBA/Request.java, src/java_mapping/CORBA/RequestInterceptor.java, src/java_mapping/CORBA/ObjectHolder.java, src/java_mapping/CORBA/PERSIST_STORE.java, src/java_mapping/CORBA/Principal.java, src/java_mapping/CORBA/ORB.java, src/java_mapping/CORBA/Object.java, src/java_mapping/CORBA/NamedValue.java, src/java_mapping/CORBA/OBJECT_NOT_EXIST.java, src/java_mapping/CORBA/OBJ_ADAPTER.java, src/java_mapping/CORBA/NO_RESPONSE.java, src/java_mapping/CORBA/NVList.java, src/java_mapping/CORBA/NO_MEMORY.java, src/java_mapping/CORBA/NO_PERMISSION.java, src/java_mapping/CORBA/NO_RESOURCES.java, src/java_mapping/CORBA/LongHolder.java, src/java_mapping/CORBA/MARSHAL.java, src/java_mapping/CORBA/NO_IMPLEMENT.java, src/java_mapping/CORBA/IntHolder.java, src/java_mapping/CORBA/INV_FLAG.java, src/java_mapping/CORBA/INV_IDENT.java, src/java_mapping/CORBA/INV_OBJREF.java, src/java_mapping/CORBA/INTERNAL.java, src/java_mapping/CORBA/INTF_REPOS.java, src/java_mapping/CORBA/INVALID_TRANSACTION.java, src/java_mapping/CORBA/IMP_LIMIT.java, src/java_mapping/CORBA/INITIALIZE.java, src/java_mapping/CORBA/FREE_MEM.java, src/java_mapping/CORBA/FixedHolder.java, src/java_mapping/CORBA/FloatHolder.java, src/java_mapping/CORBA/Environment.java, src/java_mapping/CORBA/ExceptionList.java, src/java_mapping/CORBA/DATA_CONVERSION.java, src/java_mapping/CORBA/DoubleHolder.java, src/java_mapping/CORBA/DynamicImplementation.java, src/java_mapping/CORBA/CharHolder.java, src/java_mapping/CORBA/Context.java, src/java_mapping/CORBA/ContextList.java, src/java_mapping/CORBA/ByteHolder.java, src/java_mapping/CORBA/COMM_FAILURE.java, src/java_mapping/CORBA/BAD_PARAM.java, src/java_mapping/CORBA/BAD_TYPECODE.java, src/java_mapping/CORBA/BooleanHolder.java, src/java_mapping/CORBA/BAD_INV_ORDER.java, src/java_mapping/CORBA/BAD_OPERATION.java, src/java_mapping/CORBA/Any.java, src/java_mapping/CORBA/AnyHolder.java, src/java_mapping/CORBA/BAD_CONTEXT.java, classes/jacorb.jar:
	*** empty log message ***

	* Makefile: don"t rm jacorb.jar

	* src/java_mapping/CORBA/portable/Streamable.java, src/java_mapping/CORBA/portable/RemarshalException.java, src/java_mapping/CORBA/portable/ResponseHandler.java, src/java_mapping/CORBA/portable/ServantObject.java, src/java_mapping/CORBA/portable/InvokeHandler.java, src/java_mapping/CORBA/portable/ObjectImpl.java, src/java_mapping/CORBA/portable/OutputStream.java, src/java_mapping/CORBA/portable/Helper.java, src/java_mapping/CORBA/portable/IDLEntity.java, src/java_mapping/CORBA/portable/InputStream.java, src/java_mapping/CORBA/portable/ApplicationException.java, src/java_mapping/CORBA/portable/Delegate.java, src/jacorb/util/Makefile.win, src/jacorb/util/Makefile, bin/jaco.bat, Makefile, Makefile.config, Makefile.test, Makefile.win, README.imr, src/jacorb/Makefile, src/jacorb/Makefile.win, src/jacorb/trading/util/QueryContainer.java, src/jacorb/trading/util/QueryPropagator.java, src/jacorb/trading/util/RWLock.java, src/jacorb/trading/util/Semaphore.java, src/jacorb/trading/impl/SupportAttrib.java, src/jacorb/trading/impl/TraderComp.java, src/jacorb/trading/util/MessageQueue.java, src/jacorb/trading/util/PropUtil.java, src/jacorb/trading/impl/ProxySourceAdapter.java, src/jacorb/trading/impl/Recipe.java, src/jacorb/trading/impl/RegisterImpl.java, src/jacorb/trading/impl/RepositoryImpl.java, src/jacorb/trading/impl/SchemaAdapter.java, src/jacorb/trading/impl/SourceAdapter.java, src/jacorb/trading/impl/OfferEvaluator.java, src/jacorb/trading/impl/OfferIdIteratorImpl.java, src/jacorb/trading/impl/OfferIteratorImpl.java, src/jacorb/trading/impl/OfferUtil.java, src/jacorb/trading/impl/ProxyImpl.java, src/jacorb/trading/impl/AdminImpl.java, src/jacorb/trading/impl/ImportAttrib.java, src/jacorb/trading/impl/LinkAttrib.java, src/jacorb/trading/impl/LinkImpl.java, src/jacorb/trading/impl/LookupImpl.java, src/jacorb/trading/db/simple/types/Type.java, src/jacorb/trading/db/simple/types/TypeDatabaseImpl.java, src/jacorb/trading/db/simple/types/TypeProperty.java, src/jacorb/trading/db/simple/types/Incarnation.java, src/jacorb/trading/db/simple/offers/OfferDatabaseImpl.java, src/jacorb/trading/db/simple/offers/OfferList.java, src/jacorb/trading/db/simple/offers/OfferProperty.java, src/jacorb/trading/db/simple/offers/ProxyOffer.java, src/jacorb/trading/db/simple/offers/ProxyPolicy.java, src/jacorb/trading/db/simple/offers/TypeCodeValue.java, src/jacorb/trading/db/simple/SimpleDatabaseMgr.java, src/jacorb/trading/db/simple/offers/AnyValue.java, src/jacorb/trading/db/simple/offers/DynPropValue.java, src/jacorb/trading/db/simple/offers/Offer.java, src/jacorb/trading/db/pse/types/Incarnation.java, src/jacorb/trading/db/pse/types/Type.java, src/jacorb/trading/db/pse/types/TypeDatabaseImpl.java, src/jacorb/trading/db/pse/types/TypeProperty.java, src/jacorb/trading/db/pse/util/TransactionMgr.java, src/jacorb/trading/db/pse/offers/OfferList.java, src/jacorb/trading/db/pse/offers/OfferProperty.java, src/jacorb/trading/db/pse/offers/ProxyOffer.java, src/jacorb/trading/db/pse/offers/ProxyPolicy.java, src/jacorb/trading/db/pse/offers/TypeCodeValue.java, src/jacorb/trading/db/pse/PSEDatabaseMgr.java, src/jacorb/trading/db/pse/offers/AnyValue.java, src/jacorb/trading/db/pse/offers/DynPropValue.java, src/jacorb/trading/db/pse/offers/Offer.java, src/jacorb/trading/db/pse/offers/OfferDatabaseImpl.java, src/jacorb/trading/constraint/Value.java, src/jacorb/trading/constraint/ValueFactory.java, src/jacorb/trading/constraint/ValueType.java, src/jacorb/trading/db/DatabaseMgr.java, src/jacorb/trading/db/OfferDatabase.java, src/jacorb/trading/db/TypeDatabase.java, src/jacorb/trading/constraint/PropertySource.java, src/jacorb/trading/constraint/ShortValue.java, src/jacorb/trading/constraint/StringValue.java, src/jacorb/trading/constraint/SubstrNode.java, src/jacorb/trading/constraint/SubtractNode.java, src/jacorb/trading/constraint/ULongValue.java, src/jacorb/trading/constraint/UShortValue.java, src/jacorb/trading/constraint/NeqNode.java, src/jacorb/trading/constraint/NotNode.java, src/jacorb/trading/constraint/OrNode.java, src/jacorb/trading/constraint/ParseException.java, src/jacorb/trading/constraint/Preference.java, src/jacorb/trading/constraint/PropertyNode.java, src/jacorb/trading/constraint/PropertySchema.java, src/jacorb/trading/constraint/LiteralNode.java, src/jacorb/trading/constraint/LongValue.java, src/jacorb/trading/constraint/LtNode.java, src/jacorb/trading/constraint/MissingPropertyException.java, src/jacorb/trading/constraint/MultiplyNode.java, src/jacorb/trading/constraint/NegNode.java, src/jacorb/trading/constraint/Expression.java, src/jacorb/trading/constraint/FloatValue.java, src/jacorb/trading/constraint/GeNode.java, src/jacorb/trading/constraint/GtNode.java, src/jacorb/trading/constraint/InNode.java, src/jacorb/trading/constraint/LeNode.java, src/jacorb/trading/constraint/Lex.java, src/jacorb/trading/constraint/Constraint.java, src/jacorb/trading/constraint/DivideNode.java, src/jacorb/trading/constraint/DoubleValue.java, src/jacorb/trading/constraint/EqNode.java, src/jacorb/trading/constraint/ExistNode.java, src/jacorb/trading/constraint/ExprNode.java, src/jacorb/trading/client/util/QuickSort.java, src/jacorb/trading/constraint/AddNode.java, src/jacorb/trading/constraint/AndNode.java, src/jacorb/trading/constraint/BooleanValue.java, src/jacorb/trading/constraint/CharValue.java, src/jacorb/trading/client/typemgr/ParserException.java, src/jacorb/trading/client/typemgr/TypeManager.java, src/jacorb/trading/client/util/AnyUtil.java, src/jacorb/trading/client/util/ConfirmDialog.java, src/jacorb/trading/client/util/Constrain.java, src/jacorb/trading/client/seqtest/export.java, src/jacorb/trading/client/typemgr/AddTypeDialog.java, src/jacorb/trading/client/typemgr/Lex.java, src/jacorb/trading/client/typemgr/LexException.java, src/jacorb/trading/client/typemgr/Parser.java, src/jacorb/trading/client/proxy/ProxyDemo.java, src/jacorb/trading/client/proxy/ProxyLookupImpl.java, src/jacorb/trading/client/proxy/export.java, src/jacorb/trading/client/query/Query.java, src/jacorb/trading/client/offers/ConstraintDialog.java, src/jacorb/trading/client/offers/Offers.java, src/jacorb/trading/client/offers/describe.java, src/jacorb/trading/client/offers/export.java, src/jacorb/trading/client/proxy/OfferIteratorImpl.java, src/jacorb/trading/TradingService.java, src/jacorb/trading/client/dynprop/DynPropDemo.java, src/jacorb/trading/client/dynprop/DynamicPropEvalImpl.java, src/jacorb/trading/client/dynprop/export.java, src/java_mapping/CORBA/UserException.java, src/java_mapping/CORBA/UnknownUserExceptionHolder.java, src/java_mapping/CORBA/UnknownUserException.java, src/java_mapping/CORBA/UNKNOWN.java, src/java_mapping/CORBA/TypeCodeHolder.java, src/java_mapping/CORBA/TypeCode.java, src/java_mapping/CORBA/TRANSIENT.java, src/java_mapping/CORBA/TRANSACTION_REQUIRED.java, src/java_mapping/CORBA/TRANSACTION_ROLLBACK.java, src/java_mapping/CORBA/SystemException.java, src/java_mapping/CORBA/StringHolder.java, src/java_mapping/CORBA/ShortHolder.java, src/java_mapping/CORBA/ServerRequest.java, src/java_mapping/CORBA/RequestInterceptor.java, src/java_mapping/CORBA/Request.java, src/java_mapping/CORBA/PrincipalHolder.java, src/java_mapping/CORBA/Principal.java, src/java_mapping/CORBA/PERSIST_STORE.java, src/java_mapping/CORBA/Object.java, src/java_mapping/CORBA/ObjectHolder.java, src/java_mapping/CORBA/ORB.java, src/java_mapping/CORBA/OBJECT_NOT_EXIST.java, src/java_mapping/CORBA/OBJ_ADAPTER.java, src/java_mapping/CORBA/NamedValue.java, src/java_mapping/CORBA/NVList.java, src/java_mapping/CORBA/NO_RESOURCES.java, src/java_mapping/CORBA/NO_RESPONSE.java, src/java_mapping/CORBA/NO_MEMORY.java, src/java_mapping/CORBA/NO_PERMISSION.java, src/java_mapping/CORBA/NO_IMPLEMENT.java, src/java_mapping/CORBA/LongHolder.java, src/java_mapping/CORBA/MARSHAL.java, src/java_mapping/CORBA/IntHolder.java, src/java_mapping/CORBA/INV_IDENT.java, src/java_mapping/CORBA/INV_OBJREF.java, src/java_mapping/CORBA/INV_FLAG.java, src/jacorb/util/Environment.java, src/jacorb/util/Debug.java, src/java_mapping/CORBA/INTF_REPOS.java, src/java_mapping/CORBA/INVALID_TRANSACTION.java, src/java_mapping/CORBA/INTERNAL.java, src/java_mapping/CORBA/INITIALIZE.java, src/java_mapping/CORBA/FloatHolder.java, src/java_mapping/CORBA/IMP_LIMIT.java, src/java_mapping/CORBA/FixedHolder.java, src/java_mapping/CORBA/ExceptionList.java, src/java_mapping/CORBA/FREE_MEM.java, src/java_mapping/CORBA/DynamicImplementation.java, src/java_mapping/CORBA/Environment.java, src/java_mapping/CORBA/DoubleHolder.java, src/java_mapping/CORBA/DATA_CONVERSION.java, src/java_mapping/CORBA/ContextList.java, src/java_mapping/CORBA/CharHolder.java, src/java_mapping/CORBA/Context.java, src/java_mapping/CORBA/ByteHolder.java, src/java_mapping/CORBA/COMM_FAILURE.java, src/java_mapping/CORBA/BooleanHolder.java, src/java_mapping/CORBA/BAD_PARAM.java, src/java_mapping/CORBA/BAD_TYPECODE.java, src/java_mapping/CORBA/BAD_OPERATION.java, src/java_mapping/CORBA/BAD_CONTEXT.java, src/java_mapping/CORBA/BAD_INV_ORDER.java, src/java_mapping/CORBA/AnyHolder.java, src/java_mapping/CORBA/Any.java, src/jacorb/naming/namemanager/BindNode.java, src/jacorb/naming/namemanager/Updater.java, src/jacorb/naming/NameServer.java, src/jacorb/imr/ImplementationRepositoryImpl.java, src/jacorb/imr/ServerStartupDaemonImpl.java, src/jacorb/orb/ir/ClassPath.java, src/jacorb/orb/giop/ReplyInputStream.java:
	*** empty log message ***

	* src/jacorb/orb/ServerMessageInterceptor.java, src/jacorb/orb/ORB.java, src/jacorb/orb/ClientMessageInterceptor.java, src/jacorb/orb/CloseConnectionException.java, src/jacorb/orb/Connection.java, src/jacorb/orb/Delegate.java:
	use jacorb.util.Environment

	* demo/outparam/serverImpl.java, demo/outparam/AppletClient.java, demo/interceptors/TraceClientRequestInterceptor.java, demo/interceptors/TraceServerRequestInterceptor.java, demo/mtclient/AppletClient.java, demo/mtclient/Client.java, demo/mtclient/Server.java, demo/interceptors/ClientMessageInterceptor.java, demo/interceptors/RedirectClientRequestInterceptor.java, demo/interceptors/RedirectionServer.java, demo/interceptors/ServerMessageInterceptor.java, demo/dynany/DynAnyServerImpl.java, demo/events/PullConsumerDemo.java, demo/events/PullSupplierDemo.java, demo/events/PushConsumerDemo.java, demo/events/PushSupplierDemo.java, demo/benchmark/benchImpl.java, demo/dii/AppletClient.java, demo/dii/Client.java, demo/dii/serverImpl.java, demo/arrays/Client.java, demo/benchmark/Client.java, demo/benchmark/Server.java, demo/any/AnyServerImpl.java, demo/any/Client.java, demo/any/Makefile.win, demo/applet/appligator.gif:
	*** empty log message ***

	* src/jacorb/idl/sym.java, src/jacorb/idl/parser.cup, src/jacorb/idl/parser.java, src/jacorb/idl/UnionType.java, src/jacorb/idl/VoidTypeSpec.java, src/jacorb/idl/XorExpr.java, src/jacorb/idl/lexer.java, src/jacorb/idl/TypeCodeTypeSpec.java, src/jacorb/idl/TypeDeclaration.java, src/jacorb/idl/TypeDeclarator.java, src/jacorb/idl/TypeDef.java, src/jacorb/idl/TypeSpec.java, src/jacorb/idl/UnaryExpr.java, src/jacorb/idl/Spec.java, src/jacorb/idl/StringType.java, src/jacorb/idl/StructType.java, src/jacorb/idl/SwitchBody.java, src/jacorb/idl/SymbolList.java, src/jacorb/idl/ScopedName.java, src/jacorb/idl/SequenceType.java, src/jacorb/idl/ShiftExpr.java, src/jacorb/idl/SimpleDeclarator.java, src/jacorb/idl/OrExpr.java, src/jacorb/idl/ParamDecl.java, src/jacorb/idl/PosIntConst.java, src/jacorb/idl/PrimaryExpr.java, src/jacorb/idl/RaisesExpr.java, src/jacorb/idl/Module.java, src/jacorb/idl/MultExpr.java, src/jacorb/idl/NativeType.java, src/jacorb/idl/ObjectTypeSpec.java, src/jacorb/idl/OpDecl.java, src/jacorb/idl/IdlSymbol.java, src/jacorb/idl/Interface.java, src/jacorb/idl/InterfaceBody.java, src/jacorb/idl/Member.java, src/jacorb/idl/ElementSpec.java, src/jacorb/idl/EnumType.java, src/jacorb/idl/FixedArraySize.java, src/jacorb/idl/FixedPointType.java, src/jacorb/idl/ConstType.java, src/jacorb/idl/ConstrTypeSpec.java, src/jacorb/idl/Declarator.java, src/jacorb/idl/Definition.java, src/jacorb/idl/Definitions.java, src/jacorb/idl/BaseType.java, src/jacorb/idl/Case.java, src/jacorb/idl/ConstDecl.java, src/jacorb/idl/ConstExpr.java, src/jacorb/idl/AddExpr.java, src/jacorb/idl/AndExpr.java, src/jacorb/idl/ArrayDeclarator.java, src/jacorb/idl/ArrayTypeSpec.java, src/jacorb/idl/AttrDecl.java:
	added i2jpackage option, removed -pr functionality

1999-11-04  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/parser.java, src/jacorb/idl/str_token.java, src/jacorb/idl/sym.java, src/jacorb/idl/fixed_token.java, src/jacorb/idl/lexer.java, src/jacorb/idl/parser.cup, src/jacorb/idl/UnaryExpr.java, src/jacorb/idl/UnionType.java, src/jacorb/idl/VoidTypeSpec.java, src/jacorb/idl/XorExpr.java, src/jacorb/idl/TypeDeclarator.java, src/jacorb/idl/TypeDef.java, src/jacorb/idl/TypeMap.java, src/jacorb/idl/TypeSpec.java, src/jacorb/idl/SymbolList.java, src/jacorb/idl/Type.java, src/jacorb/idl/TypeCodeTypeSpec.java, src/jacorb/idl/TypeDeclaration.java, src/jacorb/idl/StringType.java, src/jacorb/idl/StructType.java, src/jacorb/idl/SwitchBody.java, src/jacorb/idl/ShiftExpr.java, src/jacorb/idl/SimpleDeclarator.java, src/jacorb/idl/SimpleTypeSpec.java, src/jacorb/idl/Spec.java, src/jacorb/idl/RaisesExpr.java, src/jacorb/idl/Scope.java, src/jacorb/idl/ScopedName.java, src/jacorb/idl/SequenceType.java, src/jacorb/idl/Operation.java, src/jacorb/idl/OrExpr.java, src/jacorb/idl/ParamDecl.java, src/jacorb/idl/PosIntConst.java, src/jacorb/idl/PrimaryExpr.java, src/jacorb/idl/NameTable.java, src/jacorb/idl/NativeType.java, src/jacorb/idl/ObjectTypeSpec.java, src/jacorb/idl/OpDecl.java, src/jacorb/idl/Method.java, src/jacorb/idl/Module.java, src/jacorb/idl/MultExpr.java, src/jacorb/idl/NameAlreadyDefined.java, src/jacorb/idl/InterfaceBody.java, src/jacorb/idl/LongLongType.java, src/jacorb/idl/Member.java, src/jacorb/idl/MemberList.java, src/jacorb/idl/IdlSymbol.java, src/jacorb/idl/IntType.java, src/jacorb/idl/Interface.java, src/jacorb/idl/FloatPtType.java, src/jacorb/idl/FloatType.java, src/jacorb/idl/GlobalInputStream.java, src/jacorb/idl/ElementSpec.java, src/jacorb/idl/EnumType.java, src/jacorb/idl/FixedArraySize.java, src/jacorb/idl/FixedPointType.java, src/jacorb/idl/ConstrTypeSpec.java, src/jacorb/idl/Declaration.java, src/jacorb/idl/Declarator.java, src/jacorb/idl/Definition.java, src/jacorb/idl/Definitions.java, src/jacorb/idl/Case.java, src/jacorb/idl/ConstDecl.java, src/jacorb/idl/ConstExpr.java, src/jacorb/idl/ConstType.java, src/jacorb/idl/ArrayDeclarator.java, src/jacorb/idl/ArrayTypeSpec.java, src/jacorb/idl/AttrDecl.java, src/jacorb/idl/BaseType.java, src/jacorb/idl/AddExpr.java, src/jacorb/idl/AndExpr.java (setPackage):
	changed signature to include a boolean arg that
	determines whether setPackage is also done in included files

	* Makefile: cleared up dependencies

1999-11-03  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/util/Environment.java, src/jacorb/security/level2/PrincipalAuthenticator.java, src/jacorb/security/level2/Current.java, src/jacorb/proxy/proxyserverPOATie.java, src/jacorb/security/level2/Credentials.java, src/jacorb/proxy/proxyserverOperations.java, src/jacorb/proxy/proxyserverPOA.java, src/jacorb/proxy/proxyserver.java, src/jacorb/proxy/proxyserverHelper.java, src/jacorb/proxy/proxyserverHolder.java, src/jacorb/proxy/proxyserverImpl.java, src/jacorb/proxy/_proxyserverStub.java, src/jacorb/proxy/dynamicProxy.java, src/jacorb/proxy/orbProxyServer.java, src/jacorb/poa/util/StringPair.java, src/jacorb/poa/util/LogWriter.java, src/jacorb/poa/util/POAUtil.java, src/jacorb/poa/util/IdUtil.java, src/jacorb/poa/util/LogTrace.java, src/jacorb/poa/policy/ThreadPolicy.java, src/jacorb/poa/policy/RequestProcessingPolicy.java, src/jacorb/poa/policy/ServantRetentionPolicy.java, src/jacorb/poa/policy/ImplicitActivationPolicy.java, src/jacorb/poa/policy/LifespanPolicy.java, src/jacorb/poa/policy/IdAssignmentPolicy.java, src/jacorb/poa/policy/IdUniquenessPolicy.java, src/jacorb/poa/gui/poa/StatePanel.java, src/jacorb/poa/gui/poa/TMPanel.java, src/jacorb/poa/gui/poa/QueueListItemController.java, src/jacorb/poa/gui/poa/QueuePanel.java, src/jacorb/poa/gui/poa/PolicyPanel.java, src/jacorb/poa/gui/poa/QueueListItem.java, src/jacorb/poa/gui/poa/POAFrame.java, src/jacorb/poa/gui/poa/POAStatePanel.java, src/jacorb/poa/gui/poa/ObjectListItemController.java, src/jacorb/poa/gui/poa/DetailsButtonController.java, src/jacorb/poa/gui/poa/ObjectListItem.java, src/jacorb/poa/gui/poa/AOMPanel.java, src/jacorb/poa/gui/pm/StatePanel.java, src/jacorb/poa/gui/pm/StatePanelController.java, src/jacorb/poa/gui/pm/RegisterPanel.java, src/jacorb/poa/gui/pm/RegisterPanelController.java, src/jacorb/poa/gui/pm/POAManagerFrame.java, src/jacorb/poa/gui/pm/POAManagerStatePanel.java, src/jacorb/poa/gui/beans/FillLevelBar.java, src/jacorb/poa/gui/beans/FillLevelCanvas.java, src/jacorb/poa/gui/beans/MessageDialog.java, src/jacorb/poa/gui/beans/PopupMenu.java, src/jacorb/poa/gui/beans/ConsolePanel.java, src/jacorb/poa/gui/beans/DoubleListDialog.java, src/jacorb/poa/gui/beans/DoubleListHeaderPanel.java, src/jacorb/poa/gui/beans/DoubleListItem.java, src/jacorb/poa/gui/beans/ExtendedPopupMenu.java, src/jacorb/poa/gui/POAManagerMonitorView.java, src/jacorb/poa/gui/POAMonitorController.java, src/jacorb/poa/gui/POAMonitorView.java, src/jacorb/poa/gui/beans/CloseButtonPanel.java, src/jacorb/poa/gui/beans/CloseButtonPanelController.java, src/jacorb/poa/except/ShutdownInProgressException.java, src/jacorb/poa/gui/POAManagerMonitorController.java, src/jacorb/poa/except/ApplicationError.java, src/jacorb/poa/except/CompletionRequestedException.java, src/jacorb/poa/except/InactiveException.java, src/jacorb/poa/except/POAInternalError.java, src/jacorb/poa/except/ParentIsHolding.java, src/jacorb/poa/except/ResourceLimitReachedException.java, src/jacorb/poa/RPPoolManagerListener.java, src/jacorb/poa/RequestController.java, src/jacorb/poa/RequestProcessor.java, src/jacorb/poa/RequestQueue.java, src/jacorb/poa/RequestQueueListener.java, src/jacorb/poa/POAManagerMonitorImpl.java, src/jacorb/poa/POAManagerMonitorLightImpl.java, src/jacorb/poa/POAMonitor.java, src/jacorb/poa/POAMonitorImpl.java, src/jacorb/poa/POAMonitorLightImpl.java, src/jacorb/poa/RPPoolManager.java, src/jacorb/poa/POAAdapter.java, src/jacorb/poa/POAConstants.java, src/jacorb/poa/POAListener.java, src/jacorb/poa/POAManager.java, src/jacorb/poa/POAManagerMonitor.java, src/jacorb/poa/EventListener.java, src/jacorb/poa/EventMulticaster.java, src/jacorb/poa/InvocationContext.java, src/jacorb/poa/LocalInvocationContext.java, src/jacorb/poa/POA.java, src/jacorb/naming/namemanager/Updater.java, src/jacorb/poa/AOM.java, src/jacorb/poa/AOMListener.java, src/jacorb/poa/Current.java, src/jacorb/naming/namemanager/NSTable.java, src/jacorb/naming/namemanager/NSTableModel.java, src/jacorb/naming/namemanager/NSTree.java, src/jacorb/naming/namemanager/NameManager.java, src/jacorb/naming/namemanager/TableHandler.java, src/jacorb/naming/namemanager/BindNode.java, src/jacorb/naming/namemanager/ContextNode.java, src/jacorb/naming/namemanager/Handler.java, src/jacorb/naming/namemanager/InfoDlg.java, src/jacorb/naming/namemanager/NSPrefsDlg.java, src/jacorb/naming/ListContext.java, src/jacorb/naming/Name.java, src/jacorb/naming/NameServer.java, src/jacorb/naming/NamingContextImpl.java, src/jacorb/imr/util/ImRManagerGUI.java, src/jacorb/imr/util/ImRShutdown.java, src/jacorb/imr/util/RemoveServer.java, src/jacorb/naming/BindingIteratorImpl.java, src/jacorb/imr/ServerTable.java, src/jacorb/imr/util/AddServer.java, src/jacorb/imr/util/ImRManager.java, src/jacorb/imr/ImRServerInfo.java, src/jacorb/imr/ImplementationRepositoryImpl.java, src/jacorb/imr/RessourceLock.java, src/jacorb/imr/ServerStartupDaemonImpl.java, src/jacorb/idl/str_token.java, src/jacorb/idl/sym.java, src/jacorb/imr/GenericInfo.java, src/jacorb/imr/ImRHostInfo.java, src/jacorb/imr/ImRPOAInfo.java, src/jacorb/idl/lexer.java, src/jacorb/idl/parser.java, src/jacorb/idl/UnionType.java, src/jacorb/idl/VoidTypeSpec.java, src/jacorb/idl/XorExpr.java, src/jacorb/idl/fixed_token.java, src/jacorb/idl/TypeDeclarator.java, src/jacorb/idl/TypeDef.java, src/jacorb/idl/TypeMap.java, src/jacorb/idl/TypeSpec.java, src/jacorb/idl/UnaryExpr.java, src/jacorb/idl/SwitchBody.java, src/jacorb/idl/SwitchTypeSpec.java, src/jacorb/idl/SymbolList.java, src/jacorb/idl/TemplateTypeSpec.java, src/jacorb/idl/Type.java, src/jacorb/idl/TypeCodeTypeSpec.java, src/jacorb/idl/TypeDeclaration.java, src/jacorb/idl/SimpleTypeSpec.java, src/jacorb/idl/Spec.java, src/jacorb/idl/StringType.java, src/jacorb/idl/StructType.java, src/jacorb/idl/ScopedName.java, src/jacorb/idl/SequenceType.java, src/jacorb/idl/ShiftExpr.java, src/jacorb/idl/ShortType.java, src/jacorb/idl/SimpleDeclarator.java, src/jacorb/idl/PosIntConst.java, src/jacorb/idl/PositionInfo.java, src/jacorb/idl/PrimaryExpr.java, src/jacorb/idl/RaisesExpr.java, src/jacorb/idl/Scope.java, src/jacorb/idl/OctetType.java, src/jacorb/idl/OpDecl.java, src/jacorb/idl/Operation.java, src/jacorb/idl/OrExpr.java, src/jacorb/idl/ParamDecl.java, src/jacorb/idl/MultExpr.java, src/jacorb/idl/NameAlreadyDefined.java, src/jacorb/idl/NameTable.java, src/jacorb/idl/NativeType.java, src/jacorb/idl/ObjectTypeSpec.java, src/jacorb/idl/Member.java, src/jacorb/idl/MemberList.java, src/jacorb/idl/Method.java, src/jacorb/idl/Module.java, src/jacorb/idl/InterfaceBody.java, src/jacorb/idl/Literal.java, src/jacorb/idl/LongLongType.java, src/jacorb/idl/LongType.java, src/jacorb/idl/GlobalInputStream.java, src/jacorb/idl/IRMap.java, src/jacorb/idl/IdlSymbol.java, src/jacorb/idl/IntType.java, src/jacorb/idl/Interface.java, src/jacorb/idl/FixedArraySize.java, src/jacorb/idl/FixedPointConstType.java, src/jacorb/idl/FixedPointType.java, src/jacorb/idl/FloatPtType.java, src/jacorb/idl/FloatType.java, src/jacorb/idl/Definitions.java, src/jacorb/idl/DoubleType.java, src/jacorb/idl/ElementSpec.java, src/jacorb/idl/Entry.java, src/jacorb/idl/EnumType.java, src/jacorb/idl/ConstrTypeSpec.java, src/jacorb/idl/Container.java, src/jacorb/idl/Declaration.java, src/jacorb/idl/Declarator.java, src/jacorb/idl/Definition.java, src/jacorb/idl/Case.java, src/jacorb/idl/CharType.java, src/jacorb/idl/ConstDecl.java, src/jacorb/idl/ConstExpr.java, src/jacorb/idl/ConstType.java, src/jacorb/idl/ArraySizeMismatchException.java, src/jacorb/idl/ArrayTypeSpec.java, src/jacorb/idl/AttrDecl.java, src/jacorb/idl/BaseType.java, src/jacorb/idl/BooleanType.java, src/jacorb/idl/AddExpr.java, src/jacorb/idl/AndExpr.java, src/jacorb/idl/AnyType.java, src/jacorb/idl/ArrayDeclarator.java, src/jacorb/events/ProxyPullConsumerImpl.java, src/jacorb/events/ProxyPullSupplierImpl.java, src/jacorb/events/ProxyPushConsumerImpl.java, src/jacorb/events/ProxyPushSupplierImpl.java, src/jacorb/events/EventChannelImpl.java, src/jacorb/events/EventListElement.java, src/jacorb/events/JacORBEventChannel.java, src/jacorb/trading/util/PropUtil.java, src/jacorb/trading/util/QueryContainer.java, src/jacorb/trading/util/QueryPropagator.java, src/jacorb/trading/util/RWLock.java, src/jacorb/trading/util/Semaphore.java, src/jacorb/trading/impl/SchemaAdapter.java, src/jacorb/trading/impl/SourceAdapter.java, src/jacorb/trading/impl/SupportAttrib.java, src/jacorb/trading/impl/TraderComp.java, src/jacorb/trading/util/MessageQueue.java, src/jacorb/trading/impl/ProxyImpl.java, src/jacorb/trading/impl/ProxySourceAdapter.java, src/jacorb/trading/impl/Recipe.java, src/jacorb/trading/impl/RegisterImpl.java, src/jacorb/trading/impl/RepositoryImpl.java, src/jacorb/trading/impl/LookupImpl.java, src/jacorb/trading/impl/OfferEvaluator.java, src/jacorb/trading/impl/OfferIdIteratorImpl.java, src/jacorb/trading/impl/OfferIteratorImpl.java, src/jacorb/trading/impl/OfferUtil.java, src/jacorb/trading/impl/AdminImpl.java, src/jacorb/trading/impl/ImportAttrib.java, src/jacorb/trading/impl/LinkAttrib.java, src/jacorb/trading/impl/LinkImpl.java, src/jacorb/trading/db/simple/types/Type.java, src/jacorb/trading/db/simple/types/TypeDatabaseImpl.java, src/jacorb/trading/db/simple/types/TypeProperty.java, src/jacorb/trading/db/simple/offers/OfferProperty.java, src/jacorb/trading/db/simple/offers/ProxyOffer.java, src/jacorb/trading/db/simple/offers/ProxyPolicy.java, src/jacorb/trading/db/simple/offers/TypeCodeValue.java, src/jacorb/trading/db/simple/types/Incarnation.java, src/jacorb/trading/db/simple/offers/AnyValue.java, src/jacorb/trading/db/simple/offers/DynPropValue.java, src/jacorb/trading/db/simple/offers/Offer.java, src/jacorb/trading/db/simple/offers/OfferDatabaseImpl.java, src/jacorb/trading/db/simple/offers/OfferList.java, src/jacorb/trading/db/pse/types/TypeProperty.java, src/jacorb/trading/db/pse/util/TransactionMgr.java, src/jacorb/trading/db/simple/SimpleDatabaseMgr.java, src/jacorb/trading/db/pse/offers/ProxyPolicy.java, src/jacorb/trading/db/pse/offers/TypeCodeValue.java, src/jacorb/trading/db/pse/types/Incarnation.java, src/jacorb/trading/db/pse/types/Type.java, src/jacorb/trading/db/pse/types/TypeDatabaseImpl.java, src/jacorb/trading/db/pse/offers/DynPropValue.java, src/jacorb/trading/db/pse/offers/Offer.java, src/jacorb/trading/db/pse/offers/OfferDatabaseImpl.java, src/jacorb/trading/db/pse/offers/OfferList.java, src/jacorb/trading/db/pse/offers/OfferProperty.java, src/jacorb/trading/db/pse/offers/ProxyOffer.java, src/jacorb/trading/db/DatabaseMgr.java, src/jacorb/trading/db/OfferDatabase.java, src/jacorb/trading/db/TypeDatabase.java, src/jacorb/trading/db/pse/PSEDatabaseMgr.java, src/jacorb/trading/db/pse/offers/AnyValue.java, src/jacorb/trading/constraint/SubtractNode.java, src/jacorb/trading/constraint/ULongValue.java, src/jacorb/trading/constraint/UShortValue.java, src/jacorb/trading/constraint/Value.java, src/jacorb/trading/constraint/ValueFactory.java, src/jacorb/trading/constraint/ValueType.java, src/jacorb/trading/constraint/Preference.java, src/jacorb/trading/constraint/PropertyNode.java, src/jacorb/trading/constraint/PropertySchema.java, src/jacorb/trading/constraint/PropertySource.java, src/jacorb/trading/constraint/ShortValue.java, src/jacorb/trading/constraint/StringValue.java, src/jacorb/trading/constraint/SubstrNode.java, src/jacorb/trading/constraint/MultiplyNode.java, src/jacorb/trading/constraint/NegNode.java, src/jacorb/trading/constraint/NeqNode.java, src/jacorb/trading/constraint/NotNode.java, src/jacorb/trading/constraint/OrNode.java, src/jacorb/trading/constraint/ParseException.java, src/jacorb/trading/constraint/LiteralNode.java, src/jacorb/trading/constraint/LongValue.java, src/jacorb/trading/constraint/LtNode.java, src/jacorb/trading/constraint/MissingPropertyException.java, src/jacorb/trading/constraint/Expression.java, src/jacorb/trading/constraint/FloatValue.java, src/jacorb/trading/constraint/GeNode.java, src/jacorb/trading/constraint/GtNode.java, src/jacorb/trading/constraint/InNode.java, src/jacorb/trading/constraint/LeNode.java, src/jacorb/trading/constraint/Lex.java, src/jacorb/trading/constraint/Constraint.java, src/jacorb/trading/constraint/DivideNode.java, src/jacorb/trading/constraint/DoubleValue.java, src/jacorb/trading/constraint/EqNode.java, src/jacorb/trading/constraint/ExistNode.java, src/jacorb/trading/constraint/ExprNode.java, src/jacorb/trading/client/util/ConfirmDialog.java, src/jacorb/trading/client/util/Constrain.java, src/jacorb/trading/client/util/QuickSort.java, src/jacorb/trading/constraint/AddNode.java, src/jacorb/trading/constraint/BooleanValue.java, src/jacorb/trading/client/typemgr/LexException.java, src/jacorb/trading/client/typemgr/Parser.java, src/jacorb/trading/client/typemgr/ParserException.java, src/jacorb/trading/client/typemgr/TypeManager.java, src/jacorb/trading/client/util/AnyUtil.java, src/jacorb/trading/client/seqtest/export.java, src/jacorb/trading/client/typemgr/AddTypeDialog.java, src/jacorb/trading/client/typemgr/Lex.java, src/jacorb/trading/client/proxy/OfferIteratorImpl.java, src/jacorb/trading/client/proxy/ProxyDemo.java, src/jacorb/trading/client/proxy/ProxyLookupImpl.java, src/jacorb/trading/client/proxy/export.java, src/jacorb/trading/client/query/Query.java, src/jacorb/trading/client/offers/ConstraintDialog.java, src/jacorb/trading/client/offers/Offers.java, src/jacorb/trading/client/offers/describe.java, src/jacorb/trading/client/offers/export.java, src/jacorb/trading/client/dynprop/DynPropDemo.java, src/jacorb/trading/client/dynprop/DynamicPropEvalImpl.java, src/jacorb/trading/client/dynprop/export.java:
	*** empty log message ***

	* src/jacorb/orb/ir/ClassPath.java, src/jacorb/orb/util/PingObject.java, src/jacorb/orb/dynany/DynStruct.java, src/jacorb/orb/dynany/DynUnion.java, src/jacorb/orb/giop/Messages.java, src/jacorb/orb/dynany/DynAnyFactoryImpl.java, src/jacorb/orb/dynany/DynArray.java, src/jacorb/orb/dynany/DynEnum.java, src/jacorb/orb/dynany/DynSequence.java, src/jacorb/orb/dii/Request.java, src/jacorb/orb/dsi/ServerRequest.java, src/jacorb/orb/dii/Environment.java, src/jacorb/orb/dii/ExceptionList.java, src/jacorb/orb/TypeCode.java, src/jacorb/orb/ParsedIOR.java, src/jacorb/orb/ReplyReceptor.java, src/jacorb/orb/ServerRequestInterceptor.java, src/jacorb/orb/NVList.java, src/jacorb/orb/NamedValue.java, src/jacorb/orb/ORB.java, src/jacorb/orb/Current.java, src/jacorb/orb/Delegate.java, src/jacorb/orb/EncapsInfo.java, src/jacorb/orb/LocalityConstrainedObject.java, src/jacorb/orb/ClientRequestInterceptor.java, src/jacorb/orb/CodeSet.java, src/jacorb/orb/Connection.java, src/jacorb/orb/Any.java, src/jacorb/orb/BasicAdapter.java, src/jacorb/orb/CDRInputStream.java:
	replaced Environment.output by Debug.output and moved
	Environment.java to package util

	* src/jacorb/util/Debug.java, src/jacorb/util/Environment.java, src/jacorb/orb/Environment.java:
	*** empty log message ***

	* src/jacorb/orb/Environment.java (merge): new method
	replaced calls to putAll() by calls to merge()

1999-11-02  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/naming/namemanager/NameManager.java:
	cannot be run with its own name server

	* doc/ProgrammingGuide.tex, src/jacorb/orb/dynany/DynAny.java, src/jacorb/orb/Connection.java, src/jacorb/orb/ORB.java, demo/outparam/MyServer.java, demo/outparam/my_struct.java, demo/grid/MyServer.java, demo/arrays/Makefile.win, demo/any/AnyServer.java, README.applet, README.imr, jacorb_properties.template, Makefile.build, README, bin/jacapplet, bin/ns.bat:
	*** empty log message ***

	* src/jacorb/proxy/dynamicProxy.java: byte ordering corrected

	* src/jacorb/orb/Environment.java:
	made Environment work with applets, had to dump reflection

	* Makefile.win: *** empty log message ***

1999-11-02  Sebastian Mueller  <semu@z1>

	* src/jacorb/proxy/dynamicProxy.java: bug fixes

1999-11-02  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/poa/POA.java: removed debug output

	* src/jacorb/orb/Delegate.java, src/jacorb/imr/util/ImRManagerGUI.java, src/jacorb/imr/util/Makefile.win, src/jacorb/imr/generated/Makefile.win, src/jacorb/imr/Makefile.win, src/jacorb/proxy/Makefile.win:
	*** empty log message ***

1999-11-02  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/ORB.java: *** empty log message ***

	* src/jacorb/proxy/dynamicProxy.java:
	removed little endian bug (method changeByteOrder)

1999-11-02  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ORB.java: *** empty log message ***

	* src/jacorb/naming/NameServer.java:
	proper shutdown with setting POA manager to holding

	* src/jacorb/events/JacORBEventChannel.java, src/jacorb/Makefile.win, demo/unions/Makefile.win, demo/outparam/MyServer.java, demo/outparam/my_struct.java, demo/poa_monitor/Makefile.win, demo/mtclient/Makefile.win, demo/outparam/Makefile.win, demo/grid/Makefile.win, demo/grid/MyServer.java, demo/interceptors/Makefile.win, demo/events/Makefile.win, demo/dii/Makefile.win, demo/dynany/Makefile.win, demo/benchmark/Makefile.win, demo/Makefile.win, demo/any/AnyServer.java, demo/any/Makefile.win, demo/arrays/serverImpl.java, demo/arrays/serverOperations.java, demo/arrays/Client.java, demo/arrays/Makefile, demo/arrays/Makefile.win, demo/arrays/server.idl, REL_NOTES, README.applet, doc/ProgrammingGuide.tex:
	*** empty log message ***

1999-11-01  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ReplyReceptor.java: *** empty log message ***

	* src/jacorb/orb/ReplyReceptor.java (Constructor):
	wrote a try-catch-block around setDaemon for applets

	* bin/ns.bat, bin/imr_mg, bin/imr_mg.bat, bin/imr_ssd, bin/imr_ssd.bat, bin/imr, bin/imr.bat:
	*** empty log message ***

	* src/jacorb/imr/util/ImRManager.java, src/jacorb/imr/Makefile, src/jacorb/imr/ImplementationRepositoryImpl.java:
	smaller updates

	* README.imr: *** empty log message ***

	* src/jacorb/orb/ORB.java, src/jacorb/orb/Environment.java:
	Setting properties through init() works now, new method
	addProperties in Environment

	* README.imr, src/jacorb/naming/NameServer.java, src/jacorb/idl/lexer.java:
	*** empty log message ***

	* bin/imr_mg, bin/imr_ssd, bin/imr: New scripts

1999-10-30  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/ImRServerInfo.java, src/jacorb/imr/ImRPOAInfo.java, src/jacorb/imr/ImplementationRepositoryImpl.java:
	Fixed bug: servers could be restarted multiple times when serveral
	clients tried to restart them simultaneously.

1999-10-29  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/ServerStartupDaemonImpl.java, src/jacorb/imr/ServerTable.java, src/jacorb/imr/ImRHostInfo.java, src/jacorb/imr/ImRPOAInfo.java, src/jacorb/imr/ImRServerInfo.java, src/jacorb/imr/RessourceLock.java, src/jacorb/imr/ImplementationRepositoryImpl.java:
	Cosmetics, now fully commented , adapted to new/altered methods from the
	interface

	* src/jacorb/imr/generated/imr.idl:
	Cosmetics, added new method edit_server(), altered shutdown()

	* src/jacorb/imr/util/ImRShutdown.java:
	Adapted to new shutdown method from Admin interface

	* src/jacorb/imr/util/ImRManager.java: *** empty log message ***

1999-10-28  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/ImRHostInfo.java, src/jacorb/imr/ImRServerInfo.java, src/jacorb/imr/ServerStartupDaemonImpl.java, src/jacorb/imr/ServerTable.java, src/jacorb/imr/GenericInfo.java, src/jacorb/imr/ImplementationRepositoryImpl.java:
	SSDs are now as well persistent. Adapted Structure to that.

	* src/jacorb/imr/generated/imr.idl:
	Added HostInfo struct and adapted methods to it

1999-10-28  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/Delegate.java:
	ugly code for unproxifing IORs added (needs some more work!)

	* src/jacorb/poa/POA.java: debug code for watermarkchecking added

1999-10-28  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/poa/POA.java:
	debug output for WrongAdapter in reference_to_servant added

	* src/jacorb/orb/ORB.java: debug output added

1999-10-28  Sebastian Mueller  <semu@z1>

	* demo/applet/index.html: spell mistakes

1999-10-28  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Delegate.java: modified unproxify hack

1999-10-27  mdevicek  <mdevicek@z1>

	* src/jacorb/orb/Connection.java:
	Added charset_flag checking to charset negotioation process.

	* src/jacorb/orb/ORB.java:
	Generated IORs can now contain charset component in both INTERNET_IOP
	or MULTIPLE_PROFILE depends on charset_flags in Environment.

	* src/jacorb/orb/Environment.java:
	Modified reading of env. variables using ReadValue
	function (uses reflection). Added charset_flags.
	All value getters moved to one location and reformated.

1999-10-26  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/ServerStartupDaemonImpl.java:
	*** empty log message ***

1999-10-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ORB.java, src/jacorb/orb/Delegate.java:
	Unproxify IORs for local calls within an applet

	* src/jacorb/orb/ORB.java:
	cosmetics, re-established variable persistentPOACount
	which had been lost somehow...

1999-10-26  Sebastian Mueller  <semu@z1>

	* README.applet: jacapplet shell skript erklaert

	* bin/appligator, bin/jacapplet: *** empty log message ***

1999-10-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/poa/RequestProcessor.java: *** empty log message ***

	* src/jacorb/poa/RequestController.java: cosmetics

	* src/jacorb/poa/RequestProcessor.java, src/jacorb/poa/RequestController.java:
	commented out ThreadGroup creation

1999-10-26  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/ORB.java: public initProxy() method added

	* demo/outparam/Server.java: explicit set of _orb added

	* demo/outparam/AppletClient.java: Applet version of client

	* demo/outparam/Makefile: makes applet

1999-10-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/lexer.java: *** empty log message ***

1999-10-26  Sebastian Mueller  <semu@z1>

	* demo/applet/mtclient.html, demo/applet/dynany.html, demo/applet/index.html, demo/applet/appligator.gif, demo/applet/dii.html:
	Example-files for JacORB Applets

	* demo/mtclient/Makefile: make for applet added

	* demo/mtclient/AppletClient.java: Applet version of client

	* demo/dii/Makefile: make for AppletClient added

	* demo/dii/AppletClient.java: Applet Version of Client.java

1999-10-26  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/proxy/orbProxyServer.java: *** empty log message ***

	* src/jacorb/naming/NamingContextImpl.java, src/jacorb/naming/NameServer.java:
	Corrected initialization phase and argument parsing

	* demo/poa_monitor/user_poa/Server.java, demo/poa_monitor/user_poa/FooAdapterActivatorImpl.java, demo/poa_monitor/user_poa/FooServantActivatorImpl.java, demo/poa_monitor/user_poa/FooServantLocatorImpl.java, demo/poa_monitor/root_poa/FooFactoryImpl.java, demo/poa_monitor/root_poa/Server.java:
	*** empty log message ***

	* src/jacorb/poa/RequestProcessor.java, src/jacorb/poa/POAManager.java, src/jacorb/poa/RPPoolManager.java, src/jacorb/poa/RequestController.java, src/jacorb/poa/Current.java, src/jacorb/poa/Makefile.win, src/jacorb/poa/POA.java:
	Incorporated changes by Reimo

	* src/jacorb/orb/ORB.java, src/jacorb/orb/Delegate.java:
	Incorporated changes by Reimo, new methods in ORB

	* src/jacorb/idl/lexer.java:
	Changed another Float.parseFloat() call to Float.valueOf() to be JDK 1.2
	compliant

	* src/jacorb/events/JacORBEventChannel.java, Makefile:
	*** empty log message ***

1999-10-25  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/util/RemoveServer.java, src/jacorb/imr/ImplementationRepositoryImpl.java:
	*** empty log message ***

1999-10-25  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ORB.java:
	variable persistentPOACount added, gets incremented/deceremented in
	poaCreated() and poaStaetChanged()

1999-10-24  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/ServerTable.java, src/jacorb/imr/ImplementationRepositoryImpl.java, src/jacorb/imr/ServerStartupDaemonImpl.java:
	several minor bugfixes

1999-10-22  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile.win, classes/jacorb.jar: *** empty log message ***

1999-10-21  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/naming/NameServer.java: *** empty log message ***

	* src/jacorb/naming/NameServer.java:
	timeout before going down is set by an extra argument. If none is
	given, the server stays up.

	* README.applet: reformatted and rephrased a little

1999-10-21  Sebastian Mueller  <semu@z1>

	* src/jacorb/proxy/proxyserverImpl.java: uses static ORB

1999-10-20  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/poa/RequestController.java: *** empty log message ***

	* src/jacorb/idl/ElementSpec.java: (

	* src/jacorb/imr/util/AddServer.java, src/jacorb/imr/ImRPOAInfo.java:
	added debug output, corrected minor mistakes

	* src/jacorb/naming/NamingContextImpl.java: made class Seriazable
	(writeObject):added
	(_default_POA()): added, overrides _default_POA() from org.omg.PortableServer.Servant
	added extra Hashtable for implementation objects of subcontexts
	(init(orb,poa)): added
	(init(orb,poa,log): modified to call init(orb,poa)

	* src/jacorb/naming/namemanager/NameManager.java:
	updated use of namingContextImpl.init()

	* src/jacorb/naming/Name.java: made class Serializable

	* src/jacorb/naming/NameServer.java (main):
	made NameServer use persistent storage for its internal state

	* src/jacorb/orb/ORB.java (poaStateChanged): call imr.set_server_down

	* src/jacorb/imr/ServerStartupDaemonImpl.java: added debug output

	* src/jacorb/imr/ImplementationRepositoryImpl.java: added debug output,
	(SocketListener): set inet address right,
	(replyNewLocation): corrected object_ref_tc/type_id error in

	* src/jacorb/orb/ORB.java: comestics, docs

	* src/jacorb/poa/POA.java: cosmetics

	* src/jacorb/poa/POA.java: *** empty log message ***

	* src/jacorb/poa/POA.java (constructor):
	moved call to poaCreated() into create_POA(), i.e. the
	parent POA does the modification, not the newly created child POA

1999-10-19  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/giop/ReplyInputStream.java:
	added method rawResult(), which does not do any exception handling and always returns the raw buffer.

	* src/jacorb/proxy/dynamicProxy.java:
	No exception handling anymore. The raw buffer is passed to the client.
	CVS ----------------------------------------------------------------------

1999-10-19  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile.config: added JARFLAGS

1999-10-18  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/giop/RequestOutputStream.java, src/jacorb/orb/ORBSingleton.java:
	cosmetic changes

	* src/jacorb/orb/ORB.java (createIOR): small corrections

	* src/jacorb/orb/CDROutputStream.java: cosmetic changes

1999-10-16  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/imr/util/AddServer.java, src/jacorb/imr/util/ImRShutdown.java, src/jacorb/imr/ImplementationRepositoryImpl.java, src/jacorb/imr/ServerStartupDaemonImpl.java:
	use parameterized version of getImR()

	* src/jacorb/orb/dynany/DynAny.java (defaultValue):
	added case for tk_long

	* src/jacorb/Makefile.win, src/jacorb/orb/Makefile.win, src/jacorb/poa/Makefile.win, src/jacorb/trading/constraint/Makefile.win, src/jacorb/idl/Makefile.win, src/jacorb/naming/Makefile.win, src/jacorb/events/Makefile.win, src/jacorb/imr/Makefile, src/jacorb/imr/generated/Makefile, src/jacorb/Makefile, src/jacorb/proxy/Makefile, src/jacorb/poa/gui/Makefile, src/jacorb/poa/policy/Makefile, src/jacorb/poa/util/Makefile, src/jacorb/orb/util/Makefile, src/jacorb/poa/Makefile, src/jacorb/poa/except/Makefile, src/jacorb/orb/dynany/Makefile, src/jacorb/orb/giop/Makefile, src/jacorb/orb/ir/Makefile, src/jacorb/naming/Makefile, src/jacorb/orb/Makefile, src/jacorb/orb/dii/Makefile, src/jacorb/orb/dsi/Makefile, src/jacorb/idl/Makefile, src/jacorb/security/level2/Makefile, src/jacorb/events/Makefile:
	Changed jar to $(JAR) $(JARFLAGS)

	* src/jacorb/trading/impl/SourceAdapter.java, src/jacorb/trading/util/Makefile, src/jacorb/trading/util/Makefile.win, src/jacorb/trading/impl/LookupImpl.java, src/jacorb/trading/impl/Makefile, src/jacorb/trading/impl/Makefile.win, src/jacorb/trading/impl/Recipe.java, src/jacorb/trading/impl/RegisterImpl.java, src/jacorb/trading/db/simple/types/Incarnation.java, src/jacorb/trading/db/simple/types/Type.java, src/jacorb/trading/db/simple/types/TypeProperty.java, src/jacorb/trading/impl/AdminImpl.java, src/jacorb/trading/db/simple/offers/Offer.java, src/jacorb/trading/db/simple/offers/OfferDatabaseImpl.java, src/jacorb/trading/db/simple/offers/OfferList.java, src/jacorb/trading/db/simple/offers/OfferProperty.java, src/jacorb/trading/db/simple/offers/ProxyOffer.java, src/jacorb/trading/db/simple/offers/ProxyPolicy.java, src/jacorb/trading/db/simple/offers/TypeCodeValue.java, src/jacorb/trading/db/pse/types/TypeProperty.java, src/jacorb/trading/db/simple/offers/AnyValue.java, src/jacorb/trading/db/simple/offers/DynPropValue.java, src/jacorb/trading/db/simple/offers/Makefile, src/jacorb/trading/client/query/Query.java, src/jacorb/trading/client/typemgr/Parser.java, src/jacorb/trading/client/util/AnyUtil.java, src/jacorb/trading/client/offers/Offers.java, src/jacorb/trading/client/offers/describe.java, src/jacorb/trading/client/proxy/ProxyLookupImpl.java, src/jacorb/trading/client/dynprop/DynamicPropEvalImpl.java, src/jacorb/trading/Makefile, src/jacorb/trading/Makefile.win, src/jacorb/trading/TradingService.java:
	Corrected uses of ORB.init()

1999-10-15  Gerald Brose  <brose@inf.fu-berlin.de>

	* Makefile: corrected appjar target

1999-10-15  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/ORB.java:
	_getConnection changed for Netscape applets, unnessesary try blocks in getConnection removed

	* src/jacorb/proxy/dynamicProxy.java: Supports now ServiceContexts.

1999-10-15  Nicolas Noffke  <noffke@z1>

	* src/jacorb/imr/util/ImRShutdown.java, src/jacorb/imr/util/Makefile, src/jacorb/imr/util/AddServer.java, src/jacorb/imr/generated/Makefile, src/jacorb/imr/generated/imr.idl, src/jacorb/imr/ServerStartupDaemonImpl.java, src/jacorb/imr/ServerTable.java, src/jacorb/imr/ImplementationRepositoryImpl.java, src/jacorb/imr/Makefile, src/jacorb/imr/RessourceLock.java, src/jacorb/imr/ImRPOAInfo.java, src/jacorb/imr/ImRServerInfo.java, src/jacorb/imr/GenericInfo.java:
	*** empty log message ***

	* src/jacorb/orb/giop/ReplyOutputStream.java, src/jacorb/orb/ORB.java, src/jacorb/orb/CDROutputStream.java, src/jacorb/orb/Connection.java:
	Minor changes for the ImR

1999-10-15  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/trading/README, src/jacorb/trading/README.PROPERTIES, src/jacorb/trading/INSTALL, src/jacorb/trading/Makefile, src/jacorb/trading/NOTES, src/jacorb/trading/CHANGES, src/jacorb/trading/client/seqtest/SeqTest/ULongSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/UShortSeqHelper.java, src/jacorb/trading/client/seqtest/SeqTest/UShortSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/StringSeqHelper.java, src/jacorb/trading/client/seqtest/SeqTest/StringSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/ULongSeqHelper.java, src/jacorb/trading/client/seqtest/SeqTest/ShortSeqHelper.java, src/jacorb/trading/client/seqtest/SeqTest/ShortSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/FloatSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/LongSeqHelper.java, src/jacorb/trading/client/seqtest/SeqTest/LongSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/DoubleSeqHelper.java, src/jacorb/trading/client/seqtest/SeqTest/DoubleSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/FloatSeqHelper.java, src/jacorb/trading/client/seqtest/SeqTest/BooleanSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/CharSeqHelper.java, src/jacorb/trading/client/seqtest/SeqTest/CharSeqHolder.java, src/jacorb/trading/client/seqtest/SeqTest/BooleanSeqHelper.java, src/jacorb/trading/client/seqtest/export.java, src/jacorb/trading/client/seqtest/README, src/jacorb/trading/client/seqtest/SeqTest.idl, src/jacorb/trading/client/seqtest/Makefile, src/jacorb/trading/client/offers/describe.java, src/jacorb/trading/client/offers/export.java, src/jacorb/trading/client/offers/Makefile, src/jacorb/trading/client/offers/Offers.java, src/jacorb/trading/client/offers/README, src/jacorb/trading/client/offers/ConstraintDialog.java, src/jacorb/trading/client/typemgr/TypeManager.java, src/jacorb/trading/client/typemgr/ParserException.java, src/jacorb/trading/client/typemgr/README, src/jacorb/trading/client/typemgr/Makefile, src/jacorb/trading/client/typemgr/Parser.java, src/jacorb/trading/client/typemgr/AddTypeDialog.java, src/jacorb/trading/client/typemgr/Lex.java, src/jacorb/trading/client/typemgr/LexException.java, src/jacorb/trading/client/util/Makefile, src/jacorb/trading/client/util/QuickSort.java, src/jacorb/trading/client/util/AnyUtil.java, src/jacorb/trading/client/util/ConfirmDialog.java, src/jacorb/trading/client/util/Constrain.java, src/jacorb/trading/client/proxy/README, src/jacorb/trading/client/proxy/export.java, src/jacorb/trading/client/proxy/OfferIteratorImpl.java, src/jacorb/trading/client/proxy/ProxyDemo.java, src/jacorb/trading/client/proxy/ProxyLookupImpl.java, src/jacorb/trading/client/proxy/Makefile, src/jacorb/trading/client/query/Query.java, src/jacorb/trading/client/query/README, src/jacorb/trading/client/query/Makefile, src/jacorb/trading/client/dynprop/Makefile, src/jacorb/trading/client/dynprop/export.java, src/jacorb/trading/client/dynprop/DynPropDemo.java, src/jacorb/trading/client/dynprop/DynamicPropEvalImpl.java, demo/poa_monitor/root_poa/Server.java, demo/poa_monitor/root_poa/FooFactoryImpl.java, demo/poa_monitor/root_poa/FooImpl.java, demo/poa_monitor/user_poa/FooServantLocatorImpl.java, demo/poa_monitor/user_poa/Server.java, demo/poa_monitor/user_poa/FooFactoryImpl.java, demo/poa_monitor/user_poa/FooImpl.java, demo/poa_monitor/user_poa/FooServantActivatorImpl.java, demo/poa_monitor/user_poa/FooAdapterActivatorImpl.java, demo/poa_monitor/Makefile.win, demo/poa_monitor/rename.csh, demo/poa_monitor/rename.awk, demo/poa_monitor/line, demo/unions/stringSeqHolder.java, demo/unions/stringSeqHelper.java, demo/unions/stringArrayHelper.java, demo/unions/stringArrayHolder.java, demo/unions/colorTHolder.java, demo/unions/colorT.java, demo/unions/colorTHelper.java, demo/unions/_MyServerLocalStub.java, demo/unions/_MyServerStub.java, demo/unions/UnitedColorsHolder.java, demo/unions/Server.java, demo/unions/UnitedColors.java, demo/unions/UnitedColorsHelper.java, demo/unions/NumsHelper.java, demo/unions/NumsHolder.java, demo/unions/Nums.java, demo/unions/MyServerPOA.java, demo/unions/MyServerPOATie.java, demo/unions/MyServerHolder.java, demo/unions/MyServerOperations.java, demo/unions/MyServerHelper.java, demo/unions/MyServer.java, demo/poa_monitor/_FooStub.java, demo/unions/Client.java, demo/unions/Makefile, demo/poa_monitor/_FooLocalStub.java, demo/poa_monitor/_FooFactoryStub.java, demo/poa_monitor/_FooFactoryLocalStub.java, demo/poa_monitor/FooPOATie.java, demo/poa_monitor/Makefile, demo/poa_monitor/FooOperations.java, demo/poa_monitor/FooPOA.java, demo/poa_monitor/FooHolder.java, demo/poa_monitor/FooHelper.java, demo/poa_monitor/FooFactoryPOATie.java, demo/poa_monitor/FooFactoryPOA.java, demo/poa_monitor/FooFactoryOperations.java, demo/poa_monitor/FooFactoryHelper.java, demo/poa_monitor/FooFactoryHolder.java, demo/poa_monitor/FooFactory.java, demo/outparam/stringSeqHolder.java, demo/poa_monitor/Foo.java, demo/outparam/stringFieldHolder.java, demo/outparam/stringSeqHelper.java, demo/outparam/stringFieldHelper.java, demo/outparam/stringCubeHelper.java, demo/outparam/stringCubeHolder.java, demo/outparam/stringArrayHelper.java, demo/outparam/stringArrayHolder.java, demo/outparam/my_structHolder.java, demo/outparam/serverImpl.java, demo/outparam/_MyServerStub.java, demo/outparam/my_structHelper.java, demo/outparam/MyServerPOATie.java, demo/outparam/Server.java, demo/outparam/_MyServerLocalStub.java, demo/outparam/MyServerPOA.java, demo/outparam/MyServerHolder.java, demo/outparam/MyServerOperations.java, demo/outparam/Makefile, demo/outparam/MyServerHelper.java, demo/mtclient/stringsHolder.java, demo/outparam/Client.java, demo/mtclient/_ObserverStub.java, demo/mtclient/stringsHelper.java, demo/mtclient/_MyServerStub.java, demo/mtclient/_ObserverLocalStub.java, demo/mtclient/Server.java, demo/mtclient/_MyServerLocalStub.java, demo/mtclient/ObserverPOA.java, demo/mtclient/ObserverPOATie.java, demo/mtclient/ObserverOperations.java, demo/mtclient/ObserverHelper.java, demo/mtclient/ObserverHolder.java, demo/mtclient/MyServerPOATie.java, demo/mtclient/Observer.java, demo/mtclient/MyServerPOA.java, demo/mtclient/MyServerHolder.java, demo/mtclient/MyServerOperations.java, demo/mtclient/MyServer.java, demo/mtclient/MyServerHelper.java, demo/mtclient/Client.java, demo/mtclient/ClientThread.java, demo/mtclient/Makefile, demo/interceptors/_MyServerLocalStub.java, demo/interceptors/_MyServerStub.java, demo/interceptors/serverImpl.java, demo/interceptors/MyServerPOATie.java, demo/interceptors/RedirectionServer.java, demo/interceptors/Server.java, demo/interceptors/ServerMessageInterceptor.java, demo/interceptors/MyServerOperations.java, demo/interceptors/MyServerPOA.java, demo/interceptors/MyServerHolder.java, demo/interceptors/Client.java, demo/interceptors/Makefile, demo/interceptors/MyServerHelper.java, demo/grid/_MyServerLocalStub.java, demo/grid/_MyServerStub.java, demo/grid/MyServerPOATie.java, demo/grid/Server.java, demo/grid/TieServer.java, demo/grid/MyServerPOA.java, demo/grid/MyServerHolder.java, demo/grid/MyServerOperations.java, demo/grid/MyServerHelper.java, demo/grid/LocalServer.java, demo/events/ChannelServer.java, demo/events/PullConsumerDemo.java, demo/events/PullSupplierDemo.java, demo/events/PushConsumerDemo.java, demo/events/PushSupplierDemo.java, demo/grid/Client.java, demo/dynany/_AnyServerLocalStub.java, demo/dynany/_AnyServerStub.java, demo/dynany/Client.java, demo/dynany/DynAnyServerImpl.java, demo/dynany/Makefile, demo/dynany/AnyServerPOA.java, demo/dynany/AnyServerPOATie.java, demo/dynany/AnyServerHolder.java, demo/dynany/AnyServerOperations.java, demo/dynany/AnyServerHelper.java, demo/dii/serverPOATie.java, demo/dynany/AnyServer.java, demo/dii/serverPOA.java, demo/dii/serverHolder.java, demo/dii/serverImpl.java, demo/dii/serverOperations.java, demo/dii/dynamicServer.java, demo/dii/server.java, demo/dii/_serverLocalStub.java, demo/dii/_serverStub.java, demo/benchmark/Server.java, demo/benchmark/benchmark.idl, demo/dii/Client.java, demo/dii/Makefile, demo/arrays/serverPOATie.java, demo/benchmark/Client.java, demo/benchmark/Makefile, demo/arrays/serverOperations.java, demo/arrays/serverPOA.java, demo/arrays/serverHolder.java, demo/arrays/serverImpl.java, demo/arrays/server.java, demo/arrays/serverHelper.java, demo/arrays/_serverStub.java, demo/arrays/server.idl, demo/arrays/Client.java, demo/arrays/Server.java, demo/arrays/_serverLocalStub.java, demo/any/stringsHelper.java, demo/any/stringsHolder.java, demo/any/stringSeqHelper.java, demo/any/stringSeqHolder.java, demo/any/_AnyServerStub.java, demo/any/NumsHolder.java, demo/any/Server.java, demo/any/Nums.java, demo/any/NumsHelper.java, demo/any/NodeHelper.java, demo/any/NodeHolder.java, demo/any/Node.java, demo/any/AnyServerPOA.java, demo/any/AnyServerPOATie.java, demo/any/Client.java, demo/any/AnyServerOperations.java, demo/any/AnyServerHelper.java, demo/any/AnyServerHolder.java, demo/Makefile:
	*** empty log message ***

	* src/jacorb/orb/CDRInputStream.java (read_value):
	enabled TC -1, indirection

	* src/jacorb/idl/ElementSpec.java, src/jacorb/idl/IdlSymbol.java, src/jacorb/idl/SwitchBody.java, src/jacorb/idl/UnionType.java, src/jacorb/idl/Case.java:
	Corrected a problem with type definitions in unions

1999-10-14  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/dynany/DynAnyFactoryImpl.java:
	corrected setting the ORB variable

1999-10-13  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/parser.cup, src/jacorb/idl/parser.java, src/jacorb/idl/sym.java, src/jacorb/idl/IdlSymbol.java, src/jacorb/idl/StringType.java, src/jacorb/idl/TypeDef.java, src/jacorb/idl/CharType.java:
	cosmetics

	* src/jacorb/idl/parser.cup:
	added distinction between wide and non-wide chars and strings

	* src/jacorb/idl/CharType.java:
	added distinction between wide and normal chars

	* src/jacorb/idl/StringType.java:
	added boolean wide to distinguish between strings and wide strings,
	generate correct print statements now

	* src/jacorb/orb/dsi/ServerRequest.java (getServiceContext):
	new method to directly access service contexts

	* src/jacorb/orb/BasicAdapter.java:
	(RequestReceptor.run()): call request.getServiceContext()
	instead of getInputStream()

	* src/jacorb/orb/ORB.java:
	moved a few DII helper operations to super class ORBSingleton
	(create_named_value etc.)

	* src/jacorb/orb/ORBSingleton.java:
	allowed additional DII helper methods (create_list,
	create_exception_list, create_named_value, create_operation_list)

	* idl/Corba.idl: changed return type of get_default_context()

	* idl/orb.idl: added NamedValue and NVList

	* src/jacorb/idl/lexer.java (needsJavaEscape):
	commented out a few rules

	* src/jacorb/orb/BasicAdapter.java: removed setSocketOptions

	* idl/Corba.idl: *** empty log message ***

	* idl/Corba.idl: escaped Context to _Context

	* src/jacorb/orb/Connection.java, src/jacorb/orb/Environment.java, src/jacorb/orb/ParsedIOR.java, src/jacorb/orb/CDROutputStream.java:
	merging versions plus cosmetics

	* src/jacorb/orb/BasicAdapter.java, src/jacorb/orb/dsi/ServerRequest.java, src/jacorb/orb/dii/Request.java, src/jacorb/orb/ORB.java:
	cosmetics

1999-10-13  mdevicek  <mdevicek@z1>

	* src/jacorb/orb/CodeSet.java:
	OSF codeset related functions and constants

1999-10-13  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/ORB.java:
	_getConnection now public (for needed for  proxy-server)

	* src/jacorb/proxy/orbProxyServer.java, src/jacorb/proxy/dynamicProxy.java:
	Changes due to the new unstatic ORB

1999-10-13  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/Makefile, src/jacorb/idl/parser.java, src/jacorb/idl/sym.java:
	added new IDL keywords and corrected identifier escaping

1999-10-12  mdevicek  <mdevicek@z1>

	* src/jacorb/orb/util/PrintIOR.java, src/jacorb/orb/giop/ReplyInputStream.java, src/jacorb/orb/giop/ReplyOutputStream.java, src/jacorb/orb/giop/RequestInputStream.java, src/jacorb/orb/giop/RequestOutputStream.java, src/jacorb/orb/giop/LocateReplyOutputStream.java, src/jacorb/orb/giop/LocateRequest.java, src/jacorb/orb/giop/LocateRequestInputStream.java, src/jacorb/orb/giop/LocateRequestOutputStream.java, src/jacorb/orb/giop/Messages.java, src/jacorb/orb/ParsedIOR.java, src/jacorb/orb/dii/Request.java, src/jacorb/orb/dsi/ServerRequest.java, src/jacorb/orb/giop/LocateReplyInputStream.java, src/jacorb/orb/ORB.java, src/jacorb/orb/Connection.java, src/jacorb/orb/Delegate.java, src/jacorb/orb/Environment.java, src/jacorb/orb/CDROutputStream.java, src/jacorb/orb/BasicAdapter.java, src/jacorb/orb/CDRInputStream.java:
	Devik:
	CharacterSet negotioation support added. ParsedIOR
	now decodes IOR 1.1, ORB generates IOR 1.1 and adds
	UTF8 as native codesets and ISO8859-1 and UTF16 as
	supported. Connection has new members (TCS,TCSW and
	tcsNegotiated) plus several methods (see description
	in sources).
	orb/CDR*.java files has now member of type Connection
	to track to which connection they belongs and from
	where to get codeset informations.
	Delegate and BasicAdapter was changed to incorporate
	logic of charset negotiation while main class support
	routines are in Connection.
	In Environment I add new debug 'output' routine for
	byte arrays.

1999-10-12  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/CDRInputStream.java (read_wstring, read_wchar):
	corrected

	* src/jacorb/idl/parser.cup: added new IDL (CORBA 2.3) keywords)

	* src/jacorb/idl/lexer.java (needsJavaEscape): added,
	also added new IDL keywords and IDL identifier escaping

1999-10-11  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/poa/POA.java:
	(servant_to_reference) added calls to servant._orb()

	* src/jacorb/orb/ParsedIOR.java: (createIOR) added

	* src/jacorb/orb/ORBSingleton.java: *** empty log message ***

1999-10-09  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/naming/ListContext.java: removed calls to the static API

	* src/jacorb/orb/ORB.java, src/jacorb/orb/Delegate.java, src/jacorb/orb/Environment.java, src/jacorb/orb/AdapterLayer.java:
	changes to get ORB instance passing right

	* src/jacorb/orb/giop/ReplyInputStream.java, src/jacorb/orb/giop/Messages.java, src/jacorb/orb/giop/LocateReplyInputStream.java, src/jacorb/orb/giop/LocateRequestInputStream.java:
	added orb argument to constructors

	* src/jacorb/poa/RequestController.java, src/jacorb/poa/RPPoolManager.java, src/jacorb/poa/POA.java:
	pass ORB instance through, avoid ORB.init(), removed references
	to AdapterLayer, use BasicAdapter instead

	* src/jacorb/orb/giop/RequestInputStream.java:
	added orb argument to constructor

	* src/jacorb/orb/Connection.java (getConnection):
	moved  to ORB, removed all static parts,

	* src/jacorb/orb/dsi/ServerRequest.java: *** empty log message ***

	* src/jacorb/orb/giop/LocateRequest.java:
	pass orb argument in constructor

	* src/jacorb/orb/ParsedIOR.java:
	aligned CDRInpuStream usage, pass orb argument

	* src/jacorb/orb/BasicAdapter.java:
	replaces AdapterLayer, no static variables or methods

	* src/jacorb/orb/dynany/DynUnion.java, src/jacorb/orb/dynany/DynStruct.java, src/jacorb/orb/dynany/DynEnum.java, src/jacorb/orb/dynany/DynSequence.java, src/jacorb/orb/dynany/DynArray.java, src/jacorb/orb/dynany/DynAnyFactoryImpl.java, src/jacorb/orb/dynany/DynAny.java:
	passed orb and factory to all DynAnys in order to get hold of
	correct orb instance

	* src/jacorb/orb/Any.java (insert_Object, extract_Object):
	take object's orb as the orb for the any

	* src/jacorb/events/EventChannelImpl.java:
	all obtain_pull/push_supplier/consumer methods, passed _orb() to cunstructors

	* src/jacorb/naming/NamingContextImpl.java: corrected orb usage

	* src/jacorb/naming/NameServer.java:
	corrected orb usage, removed all static methods

	* src/jacorb/naming/namemanager/NameManager.java:
	*** empty log message ***

	* src/jacorb/orb/CDRInputStream.java (constructors):
	added argument "orb"

	* src/jacorb/orb/ORBSingleton.java: *** empty log message ***

	* src/jacorb/naming/NameServer.java (main):
	replaced AdapterLayer.setTimeOut() by orb.getBasicAdapter().setTimeOut()

	* src/jacorb/poa/RequestController.java:
	replaced all uses of AdapterLayer by orb.getBasicAdapter()

	* src/jacorb/orb/Connection.java (constructor): added orb argument
	(getConnection): pass orb to new Connections, removed call to ORB.init()

	* src/jacorb/poa/RequestController.java, src/jacorb/poa/RequestProcessor.java, src/jacorb/poa/RPPoolManager.java, src/jacorb/poa/POA.java (contructor):
	pass arg "orb" through to avoid ORB.init()

	* src/jacorb/idl/lexer.java (real_next_token):
	changed Float.parseFloat (JDK 1.2-only) to
	Float.valueOf() as suggested by Reimo

	* src/jacorb/orb/Environment.java (serverId,implName): added,
	added properties implName, serverId

	* src/jacorb/orb/AdapterLayer.java (deliverRequest):
	acommodate Reimo's changes in object_key structure

	* src/jacorb/orb/ORB.java (getReference):
	changed arg to receive complete object_key from POA

	* src/jacorb/poa/util/IdUtil.java, src/jacorb/poa/util/POAUtil.java, src/jacorb/poa/RequestProcessor.java, src/jacorb/poa/POAMonitorImpl.java, src/jacorb/poa/POAManager.java, src/jacorb/poa/POAManagerMonitorImpl.java, src/jacorb/poa/POAConstants.java, src/jacorb/poa/POA.java:
	Incorporate changes from Reimo (ImplName, ObjectId updates)

1999-10-08  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/naming/NameServer.java (main):
	pass orb to NamingContextImpl.init()

	* src/jacorb/naming/NamingContextImpl.java (init): added orb argument

	* src/jacorb/events/ProxyPushSupplierImpl.java, src/jacorb/events/ProxyPushConsumerImpl.java, src/jacorb/events/EventChannelImpl.java (constructor):
	added orb argument

	* demo/events/ChannelServer.java (main): properly initialises ORB now

	* src/jacorb/events/ProxyPullConsumerImpl.java (constructor):
	removed call to ORB.init()

	* src/jacorb/events/ProxyPullSupplierImpl.java: removed ORB.init()

	* src/jacorb/poa/POA.java (_POA_init, constructor):
	added orb instance variable to POA

	* src/jacorb/naming/namemanager/NameManager.java (main):
	added arguments to ORB.init() calls

	* src/jacorb/naming/NameServer.java: deleted all static methods

	* src/jacorb/trading/TradingService.java (getTrader):
	removed static method, done in
	ORB.resolve_initial_references() instead

1999-10-08  Sebastian Mueller  <semu@z1>

	* src/jacorb/proxy/dynamicProxy.java: LocationForward now implemented

	* src/jacorb/orb/dsi/ServerRequest.java:
	reply ID in reply(byte[]) is know inserted as unsigned long

	* src/jacorb/orb/Environment.java:
	set-methods for Proxy and NameServer URL Property addes (setProxyUrl,setRootNsURL)

1999-10-08  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ORB.java:
	removed a few static methods, made ORB inherit from ORBSingleton

	* src/jacorb/events/ProxyPullConsumerImpl.java (internal_pull):
	added, a blocking pull() had been forgotten.

	* src/jacorb/events/EventChannelImpl.java (internall_pull):
	fixed, called non-blocking try_pull instead of
	blocking pull

	* Makefile: new target: appjar, creates iiop10.jar for Applet use
	CVS:g----------------------------------------------------------------------

1999-10-08  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/Environment.java, src/jacorb/orb/ORB.java:
	removed debug code
	changed AccessControllException -> SecurityExc.

	* src/jacorb/orb/Environment.java, src/jacorb/orb/ORB.java:
	even more debug code

	* src/jacorb/orb/ORB.java:
	Debug changes in ORB.resolve_inital_refereces

1999-10-08  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/proxy/dynamicProxy.java, src/jacorb/orb/Delegate.java:
	*** empty log message ***

1999-10-08  Sebastian Mueller  <semu@z1>

	* src/jacorb/proxy/dynamicProxy.java: removed double rep.result() call

1999-10-07  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/fixed_token.java, src/java_mapping/SecurityLevel2/CredentialsListHelper.java, src/java_mapping/SecurityLevel2/CredentialsHolder.java, src/java_mapping/SecurityLevel1/Current.java, src/java_mapping/PortableServer/ServantLocatorPackage/CookieHolder.java, src/java_mapping/CORBA/portable/Streamable.java, src/java_mapping/CORBA/portable/ServantObject.java, src/java_mapping/CORBA/portable/ResponseHandler.java, src/java_mapping/CORBA/portable/RemarshalException.java, src/java_mapping/CORBA/portable/OutputStream.java, src/java_mapping/CORBA/portable/ObjectImpl.java, src/java_mapping/CORBA/portable/InvokeHandler.java, src/java_mapping/CORBA/portable/InputStream.java, src/java_mapping/CORBA/portable/Helper.java, src/java_mapping/CORBA/portable/IDLEntity.java, src/java_mapping/CORBA/portable/Delegate.java, src/java_mapping/CORBA/portable/ApplicationException.java, src/java_mapping/PortableServer/_ServantLocatorStub.java, src/java_mapping/PortableServer/ServantLocatorPOATie.java, src/java_mapping/PortableServer/ServantLocatorPOA.java, src/java_mapping/PortableServer/ServantLocatorOperations.java, src/java_mapping/PortableServer/ServantActivatorPOATie.java, src/java_mapping/PortableServer/ServantActivatorPOA.java, src/java_mapping/PortableServer/DynamicImplementation.java, src/java_mapping/PortableServer/Servant.java, src/java_mapping/PortableServer/CurrentHelper.java, src/java_mapping/CORBA/UserException.java, src/java_mapping/CORBA/UnknownUserExceptionHolder.java, src/java_mapping/CORBA/UnknownUserException.java, src/java_mapping/CORBA/UNKNOWN.java, src/java_mapping/CORBA/TypeCodeHolder.java, src/java_mapping/CORBA/TypeCode.java, src/java_mapping/CORBA/TRANSIENT.java, src/java_mapping/CORBA/TRANSACTION_ROLLBACK.java, src/java_mapping/CORBA/TRANSACTION_REQUIRED.java, src/java_mapping/CORBA/SystemException.java, src/java_mapping/CORBA/StringHolder.java, src/java_mapping/CORBA/ShortHolder.java, src/java_mapping/CORBA/ServerRequest.java, src/java_mapping/CORBA/RequestInterceptor.java, src/java_mapping/CORBA/Request.java, src/java_mapping/CORBA/PrincipalHolder.java, src/java_mapping/CORBA/Principal.java, src/java_mapping/CORBA/PERSIST_STORE.java, src/java_mapping/CORBA/ObjectHolder.java, src/java_mapping/CORBA/Object.java, src/java_mapping/CORBA/ORB.java, src/java_mapping/CORBA/OBJ_ADAPTER.java, src/java_mapping/CORBA/OBJECT_NOT_EXIST.java, src/java_mapping/CORBA/NamedValue.java, src/java_mapping/CORBA/NVList.java, src/java_mapping/CORBA/NO_RESPONSE.java, src/java_mapping/CORBA/NO_RESOURCES.java, src/java_mapping/CORBA/NO_PERMISSION.java, src/java_mapping/CORBA/NO_MEMORY.java, src/java_mapping/CORBA/NO_IMPLEMENT.java, src/java_mapping/CORBA/MARSHAL.java, src/java_mapping/CORBA/LongHolder.java, src/java_mapping/CORBA/IntHolder.java, src/java_mapping/CORBA/INV_OBJREF.java, src/java_mapping/CORBA/INV_IDENT.java, src/java_mapping/CORBA/INV_FLAG.java, src/java_mapping/CORBA/INTF_REPOS.java, src/java_mapping/CORBA/INVALID_TRANSACTION.java, src/java_mapping/CORBA/INITIALIZE.java, src/java_mapping/CORBA/INTERNAL.java, src/java_mapping/CORBA/IMP_LIMIT.java, src/java_mapping/CORBA/FloatHolder.java, src/java_mapping/CORBA/FixedHolder.java, src/java_mapping/CORBA/FREE_MEM.java, src/java_mapping/CORBA/ExceptionList.java, src/java_mapping/CORBA/Environment.java, src/java_mapping/CORBA/DynamicImplementation.java, src/java_mapping/CORBA/DoubleHolder.java, src/java_mapping/CORBA/DATA_CONVERSION.java, src/java_mapping/CORBA/ContextList.java, src/java_mapping/CORBA/Context.java, src/java_mapping/CORBA/CharHolder.java, src/java_mapping/CORBA/ByteHolder.java, src/java_mapping/CORBA/COMM_FAILURE.java, src/java_mapping/CORBA/BooleanHolder.java, src/java_mapping/CORBA/BAD_TYPECODE.java, src/java_mapping/CORBA/BAD_PARAM.java, src/java_mapping/CORBA/BAD_OPERATION.java, src/java_mapping/CORBA/BAD_INV_ORDER.java, src/java_mapping/CORBA/BAD_CONTEXT.java, src/java_mapping/CORBA/AnyHolder.java, src/java_mapping/CORBA/Any.java, src/jacorb/trading/TradingService.java:
	*** empty log message ***

1999-10-07  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/ORB.java: try block in getConnection changed

1999-10-07  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/poa/LocalInvocationContext.java, src/jacorb/poa/InvocationContext.java, src/jacorb/idl/FixedPointConstType.java, Makefile.config, Makefile, REL_NOTES, demo/poa_monitor/Makefile, demo/interceptors/README, demo/interceptors/ClientMessageInterceptor.java, demo/interceptors/Client.java, demo/grid/server.idl, demo/grid/gridImpl.java, demo/grid/gridOperationsImpl.java, demo/grid/Client.java, demo/grid/Makefile, demo/dii/serverHelper.java, demo/arrays/Makefile, demo/any/server.idl, bin/ts.bat, bin/jaco.bat, bin/ts, bin/jaco, bin/dior.bat, idl/SecurityLevel1.idl, idl/SecurityLevel2.idl, idl/Corba.idl:
	*** empty log message ***

1999-10-07  Sebastian Mueller  <semu@z1>

	* src/jacorb/orb/dsi/ServerRequest.java: Cdded get method for in
	new reply method added
	VS: ----------------------------------------------------------------------

	* src/jacorb/orb/ORB.java, src/jacorb/orb/Environment.java, src/jacorb/orb/Connection.java, src/jacorb/orb/Delegate.java, src/jacorb/orb/CDROutputStream.java, src/jacorb/orb/CDRInputStream.java:
	jacorb.orb.Connection:
	reconnect now public
	added get methods for out_stream,buffers, replies, objects

	jacorb.orb.dsi.ServerRequest.java:
	added get method for in
	new reply method added

	jacorb.orb.CDRInputStream:
	added get methods for buffer, pos

	jacorb.orb.CDROutputStream:
	added get methods for buffer, pos
	added set method for size (pos), buffer

	jacorb.orb.ORB
	new signature for getConnection from (string) to (delegate)
	getConnection changed
	createIOR changed
	new method useProxy
	new private members

	jacorb.orb.Delegate
	changed  getConnection(adport) to getConnection(this)
	new public  methods get_adport(), setIOR(IOR)

	jacorb.orb.Environment
	new member _proxy_server
	new method proxyURL()

	* src/jacorb/Makefile: added proxy subdir

	* src/jacorb/proxy/proxyserverPOATie.java, src/jacorb/proxy/proxyserverPOA.java, src/jacorb/proxy/proxyserverOperations.java, src/jacorb/proxy/proxyserverHolder.java, src/jacorb/proxy/proxyserverImpl.java, src/jacorb/proxy/proxyserverHelper.java, src/jacorb/proxy/proxyserver.java, src/jacorb/proxy/orbProxyServer.java, src/jacorb/proxy/_proxyserverStub.java, src/jacorb/proxy/dynamicProxy.java, src/jacorb/proxy/Makefile:
	*** empty log message ***

1999-10-07  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ORB.java:
	fixed getReference (call to _getObject() with empty argument)

	* src/java_mapping/SecurityLevel2/CredentialsListHelper.java, src/java_mapping/SecurityLevel2/CredentialsHolder.java, src/java_mapping/SecurityLevel1/Current.java, src/java_mapping/PortableServer/ServantLocatorPackage/CookieHolder.java, src/java_mapping/PortableServer/_ServantLocatorStub.java, src/java_mapping/PortableServer/ServantLocatorPOATie.java, src/java_mapping/PortableServer/ServantLocatorOperations.java, src/java_mapping/PortableServer/ServantLocatorPOA.java, src/java_mapping/PortableServer/ServantActivatorPOATie.java, src/java_mapping/PortableServer/ServantActivatorPOA.java, src/java_mapping/PortableServer/DynamicImplementation.java, src/java_mapping/PortableServer/Servant.java, src/java_mapping/CORBA/portable/ServantObject.java, src/java_mapping/CORBA/portable/Streamable.java, src/java_mapping/CORBA/portable/ResponseHandler.java, src/java_mapping/CORBA/portable/RemarshalException.java, src/java_mapping/CORBA/portable/OutputStream.java, src/java_mapping/CORBA/portable/InvokeHandler.java, src/java_mapping/CORBA/portable/ObjectImpl.java, src/java_mapping/CORBA/portable/InputStream.java, src/java_mapping/CORBA/portable/IDLEntity.java, src/java_mapping/CORBA/portable/Delegate.java, src/java_mapping/CORBA/portable/Helper.java, src/java_mapping/CORBA/portable/ApplicationException.java, src/java_mapping/CORBA/UserException.java, src/java_mapping/CORBA/UnknownUserExceptionHolder.java, src/java_mapping/CORBA/UnknownUserException.java, src/java_mapping/CORBA/TypeCodeHolder.java, src/java_mapping/CORBA/UNKNOWN.java, src/java_mapping/CORBA/TypeCode.java, src/java_mapping/CORBA/TRANSIENT.java, src/java_mapping/CORBA/TRANSACTION_ROLLBACK.java, src/java_mapping/CORBA/TRANSACTION_REQUIRED.java, src/java_mapping/CORBA/SystemException.java, src/java_mapping/CORBA/ShortHolder.java, src/java_mapping/CORBA/StringHolder.java, src/java_mapping/CORBA/ServerRequest.java, src/java_mapping/CORBA/RequestInterceptor.java, src/java_mapping/CORBA/Request.java, src/java_mapping/CORBA/PrincipalHolder.java, src/java_mapping/CORBA/PERSIST_STORE.java, src/java_mapping/CORBA/Principal.java, src/java_mapping/CORBA/ObjectHolder.java, src/java_mapping/CORBA/Object.java, src/java_mapping/CORBA/ORB.java, src/java_mapping/CORBA/OBJ_ADAPTER.java, src/java_mapping/CORBA/OBJECT_NOT_EXIST.java, src/java_mapping/CORBA/NVList.java, src/java_mapping/CORBA/NamedValue.java, src/java_mapping/CORBA/NO_RESPONSE.java, src/java_mapping/CORBA/NO_RESOURCES.java, src/java_mapping/CORBA/NO_PERMISSION.java, src/java_mapping/CORBA/NO_IMPLEMENT.java, src/java_mapping/CORBA/NO_MEMORY.java, src/java_mapping/CORBA/MARSHAL.java, src/java_mapping/CORBA/LongHolder.java, src/java_mapping/CORBA/IntHolder.java, src/java_mapping/CORBA/INV_IDENT.java, src/java_mapping/CORBA/INV_OBJREF.java, src/java_mapping/CORBA/INV_FLAG.java, src/java_mapping/CORBA/INVALID_TRANSACTION.java, src/java_mapping/CORBA/INTF_REPOS.java, src/java_mapping/CORBA/INITIALIZE.java, src/java_mapping/CORBA/INTERNAL.java, src/java_mapping/CORBA/IMP_LIMIT.java, src/java_mapping/CORBA/FloatHolder.java, src/java_mapping/CORBA/FREE_MEM.java, src/java_mapping/CORBA/FixedHolder.java, src/java_mapping/CORBA/ExceptionList.java, src/java_mapping/CORBA/Environment.java, src/java_mapping/CORBA/DynamicImplementation.java, src/java_mapping/CORBA/DATA_CONVERSION.java, src/java_mapping/CORBA/DoubleHolder.java, src/java_mapping/CORBA/ContextList.java, src/java_mapping/CORBA/Context.java, src/java_mapping/CORBA/CharHolder.java, src/java_mapping/CORBA/ByteHolder.java, src/java_mapping/CORBA/COMM_FAILURE.java, src/java_mapping/CORBA/BooleanHolder.java, src/java_mapping/CORBA/BAD_PARAM.java, src/java_mapping/CORBA/BAD_TYPECODE.java, src/java_mapping/CORBA/BAD_OPERATION.java, src/java_mapping/CORBA/BAD_INV_ORDER.java, src/java_mapping/CORBA/BAD_CONTEXT.java, src/java_mapping/CORBA/AnyHolder.java, src/java_mapping/CORBA/Any.java, src/java_cup/runtime/Makefile, src/jacorb/poa/Makefile.win, src/jacorb/orb/Makefile.win, src/jacorb/orb/Delegate.java, src/jacorb/naming/Makefile.win, src/jacorb/idl/Makefile.win, src/jacorb/events/Makefile.win, src/jacorb/events/JacORBEventChannel.java:
	*** empty log message ***

	* src/jacorb/trading/util/Makefile.win, src/jacorb/trading/util/Makefile, src/jacorb/trading/impl/Makefile.win, src/jacorb/trading/impl/Makefile, src/jacorb/trading/db/simple/types/Makefile.win, src/jacorb/trading/db/simple/offers/Makefile.win, src/jacorb/trading/db/simple/Makefile.win, src/jacorb/trading/db/Makefile.win, src/jacorb/trading/client/Makefile.win, src/jacorb/trading/Makefile.win:
	New Makefile.win

	* src/jacorb/Makefile.win, Makefile.win: *** empty log message ***

1999-10-06  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Delegate.java:
	changed in preinvoke and postinvoke for poa inocation contexts

	* src/java_mapping/PortableServer/_ServantLocatorStub.java, src/java_mapping/PortableServer/_ServantActivatorStub.java, src/java_mapping/PortableServer/_ServantLocatorLocalStub.java, src/java_mapping/SecurityLevel2/CredentialsListHelper.java, src/java_mapping/SecurityLevel2/CredentialsHolder.java, src/java_mapping/SecurityLevel1/Current.java, src/jacorb/events/Makefile, src/jacorb/Makefile, src/jacorb/idl/sym.java, src/jacorb/idl/parser.java, src/jacorb/idl/parser.cup, src/jacorb/idl/lexer.java, src/jacorb/idl/UnionType.java, src/jacorb/idl/SequenceType.java, src/jacorb/idl/OpDecl.java, src/jacorb/idl/Operation.java, src/jacorb/idl/Method.java, src/jacorb/idl/InterfaceBody.java, src/jacorb/idl/Interface.java, src/jacorb/orb/ORB.java, src/jacorb/orb/Delegate.java, src/jacorb/orb/Current.java, src/jacorb/orb/Connection.java, src/jacorb/orb/AdapterLayer.java, src/jacorb/orb/CDRInputStream.java, src/jacorb/orb/giop/ReplyInputStream.java, src/jacorb/naming/NamingContextImpl.java, src/jacorb/events/_JacORBEventChannelStub.java, src/jacorb/events/_JacORBEventChannelLocalStub.java, src/jacorb/events/JacORBEventChannelPOA.java, src/jacorb/events/JacORBEventChannelPOATie.java, src/jacorb/events/JacORBEventChannelOperations.java, src/jacorb/events/JacORBEventChannelHolder.java, src/jacorb/events/JacORBEventChannelHelper.java, src/jacorb/trading/util/Semaphore.java, src/jacorb/trading/util/RWLock.java, src/jacorb/trading/util/QueryPropagator.java, src/jacorb/trading/util/PropUtil.java, src/jacorb/trading/util/QueryContainer.java, src/jacorb/trading/util/MessageQueue.java, src/jacorb/trading/util/Makefile, src/jacorb/trading/impl/TraderComp.java, src/jacorb/trading/impl/SupportAttrib.java, src/jacorb/trading/impl/SchemaAdapter.java, src/jacorb/trading/impl/SourceAdapter.java, src/jacorb/trading/impl/RepositoryImpl.java, src/jacorb/trading/impl/RegisterImpl.java, src/jacorb/trading/impl/Recipe.java, src/jacorb/trading/impl/ProxyImpl.java, src/jacorb/trading/impl/ProxySourceAdapter.java, src/jacorb/trading/impl/OfferUtil.java, src/jacorb/trading/impl/OfferIteratorImpl.java, src/jacorb/trading/impl/OfferIdIteratorImpl.java, src/jacorb/trading/impl/Makefile, src/jacorb/trading/impl/OfferEvaluator.java, src/jacorb/trading/impl/LookupImpl.java, src/jacorb/trading/impl/LinkImpl.java, src/jacorb/trading/impl/ImportAttrib.java, src/jacorb/trading/impl/LinkAttrib.java, src/jacorb/trading/impl/AdminImpl.java, src/jacorb/trading/db/pse/offers/TypeCodeValue.java, src/jacorb/trading/db/pse/offers/README, src/jacorb/trading/db/pse/offers/ProxyOffer.java, src/jacorb/trading/db/pse/offers/ProxyPolicy.java, src/jacorb/trading/db/pse/offers/OfferProperty.java, src/jacorb/trading/db/pse/offers/OfferList.java, src/jacorb/trading/db/pse/offers/OfferDatabaseImpl.java, src/jacorb/trading/db/pse/offers/Offer.java, src/jacorb/trading/db/pse/offers/Makefile, src/jacorb/trading/db/pse/offers/DynPropValue.java, src/jacorb/trading/db/pse/offers/AnyValue.java, src/jacorb/trading/db/pse/util/TransactionMgr.java, src/jacorb/trading/db/pse/util/Makefile, src/jacorb/trading/db/pse/types/TypeDatabaseImpl.java, src/jacorb/trading/db/pse/types/TypeProperty.java, src/jacorb/trading/db/pse/types/Type.java, src/jacorb/trading/db/pse/types/Makefile, src/jacorb/trading/db/pse/types/README, src/jacorb/trading/db/pse/types/Incarnation.java, src/jacorb/trading/db/pse/PSEDatabaseMgr.java, src/jacorb/trading/db/pse/Makefile, src/jacorb/trading/db/simple/offers/TypeCodeValue.java, src/jacorb/trading/db/simple/offers/README, src/jacorb/trading/db/simple/offers/ProxyOffer.java, src/jacorb/trading/db/simple/offers/ProxyPolicy.java, src/jacorb/trading/db/simple/offers/OfferProperty.java, src/jacorb/trading/db/simple/offers/OfferList.java, src/jacorb/trading/db/simple/offers/Offer.java, src/jacorb/trading/db/simple/offers/OfferDatabaseImpl.java, src/jacorb/trading/db/simple/offers/Makefile, src/jacorb/trading/db/simple/offers/AnyValue.java, src/jacorb/trading/db/simple/offers/DynPropValue.java, src/jacorb/trading/db/simple/types/TypeProperty.java, src/jacorb/trading/db/simple/types/Type.java, src/jacorb/trading/db/simple/types/TypeDatabaseImpl.java, src/jacorb/trading/db/simple/types/README, src/jacorb/trading/db/simple/types/Incarnation.java, src/jacorb/trading/db/simple/types/Makefile, src/jacorb/trading/db/simple/SimpleDatabaseMgr.java, src/jacorb/trading/db/simple/Makefile, src/jacorb/trading/db/TypeDatabase.java, src/jacorb/trading/db/Makefile, src/jacorb/trading/db/OfferDatabase.java, src/jacorb/trading/db/DatabaseMgr.java, src/jacorb/trading/constraint/ValueType.java, src/jacorb/trading/constraint/Value.java, src/jacorb/trading/constraint/ValueFactory.java, src/jacorb/trading/constraint/UShortValue.java, src/jacorb/trading/constraint/ULongValue.java, src/jacorb/trading/constraint/SubstrNode.java, src/jacorb/trading/constraint/SubtractNode.java, src/jacorb/trading/constraint/StringValue.java, src/jacorb/trading/constraint/ShortValue.java, src/jacorb/trading/constraint/PropertySource.java, src/jacorb/trading/constraint/README, src/jacorb/trading/constraint/PropertySchema.java, src/jacorb/trading/constraint/Preference.java, src/jacorb/trading/constraint/PropertyNode.java, src/jacorb/trading/constraint/ParseException.java, src/jacorb/trading/constraint/NotNode.java, src/jacorb/trading/constraint/OrNode.java, src/jacorb/trading/constraint/NeqNode.java, src/jacorb/trading/constraint/MultiplyNode.java, src/jacorb/trading/constraint/NegNode.java, src/jacorb/trading/constraint/MissingPropertyException.java, src/jacorb/trading/constraint/Makefile, src/jacorb/trading/constraint/LongValue.java, src/jacorb/trading/constraint/LtNode.java, src/jacorb/trading/constraint/LiteralNode.java, src/jacorb/trading/constraint/Lex.java, src/jacorb/trading/constraint/InNode.java, src/jacorb/trading/constraint/LeNode.java, src/jacorb/trading/constraint/GtNode.java, src/jacorb/trading/constraint/FloatValue.java, src/jacorb/trading/constraint/GeNode.java, src/jacorb/trading/constraint/Expression.java, src/jacorb/trading/constraint/ExistNode.java, src/jacorb/trading/constraint/ExprNode.java, src/jacorb/trading/constraint/EqNode.java, src/jacorb/trading/constraint/DoubleValue.java, src/jacorb/trading/constraint/Constraint.java, src/jacorb/trading/constraint/DivideNode.java, src/jacorb/trading/constraint/BooleanValue.java, src/jacorb/trading/constraint/CharValue.java, src/jacorb/trading/constraint/AndNode.java, src/jacorb/trading/constraint/AddNode.java, src/jacorb/trading/client/Makefile, src/jacorb/security/level2/PrincipalAuthenticator.java, src/jacorb/security/level2/Makefile, src/jacorb/security/level2/Current.java, src/jacorb/security/level2/Credentials.java:
	*** empty log message ***

	* src/jacorb/orb/Delegate.java, src/jacorb/orb/Delegate.java.~1.3~:
	redoing things...

	* idl/PortableServer.idl: added more "#pragma local"s

1999-10-05  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Delegate.java: update from Reimo

	* src/jacorb/poa/util/StringPair.java, src/jacorb/poa/util/POAUtil.java, src/jacorb/poa/util/LogTrace.java, src/jacorb/poa/util/LogWriter.java, src/jacorb/poa/util/IdUtil.java, src/jacorb/poa/policy/ThreadPolicy.java, src/jacorb/poa/policy/ServantRetentionPolicy.java, src/jacorb/poa/policy/RequestProcessingPolicy.java, src/jacorb/poa/policy/LifespanPolicy.java, src/jacorb/poa/policy/IdUniquenessPolicy.java, src/jacorb/poa/policy/ImplicitActivationPolicy.java, src/jacorb/poa/policy/IdAssignmentPolicy.java, src/jacorb/poa/gui/poa/TMPanel.java, src/jacorb/poa/gui/poa/StatePanel.java, src/jacorb/poa/gui/poa/QueuePanel.java, src/jacorb/poa/gui/poa/QueueListItemController.java, src/jacorb/poa/gui/poa/QueueListItem.java, src/jacorb/poa/gui/poa/PolicyPanel.java, src/jacorb/poa/gui/poa/POAStatePanel.java, src/jacorb/poa/gui/poa/POAFrame.java, src/jacorb/poa/gui/poa/ObjectListItemController.java, src/jacorb/poa/gui/poa/ObjectListItem.java, src/jacorb/poa/gui/poa/AOMPanel.java, src/jacorb/poa/gui/poa/DetailsButtonController.java, src/jacorb/poa/gui/pm/StatePanelController.java, src/jacorb/poa/gui/pm/StatePanel.java, src/jacorb/poa/gui/pm/RegisterPanelController.java, src/jacorb/poa/gui/pm/RegisterPanel.java, src/jacorb/poa/gui/pm/POAManagerStatePanel.java, src/jacorb/poa/gui/pm/POAManagerFrame.java, src/jacorb/poa/gui/beans/PopupMenu.java, src/jacorb/poa/gui/beans/MessageDialog.java, src/jacorb/poa/gui/beans/FillLevelCanvas.java, src/jacorb/poa/gui/beans/FillLevelBar.java, src/jacorb/poa/gui/beans/ExtendedPopupMenu.java, src/jacorb/poa/gui/beans/DoubleListItem.java, src/jacorb/poa/gui/beans/DoubleListHeaderPanel.java, src/jacorb/poa/gui/beans/DoubleListDialog.java, src/jacorb/poa/gui/beans/ConsolePanel.java, src/jacorb/poa/gui/beans/CloseButtonPanelController.java, src/jacorb/poa/gui/beans/CloseButtonPanel.java, src/jacorb/poa/gui/POAMonitorView.java, src/jacorb/poa/gui/POAMonitorController.java, src/jacorb/poa/gui/POAManagerMonitorController.java, src/jacorb/poa/gui/POAManagerMonitorView.java, src/jacorb/poa/except/ResourceLimitReachedException.java, src/jacorb/poa/except/ShutdownInProgressException.java, src/jacorb/poa/except/ParentIsHolding.java, src/jacorb/poa/except/POAInternalError.java, src/jacorb/poa/except/CompletionRequestedException.java, src/jacorb/poa/except/InactiveException.java, src/jacorb/poa/except/ApplicationError.java, src/jacorb/poa/RequestQueueListener.java, src/jacorb/poa/RequestQueue.java, src/jacorb/poa/RequestController.java, src/jacorb/poa/RequestProcessor.java, src/jacorb/poa/RPPoolManagerListener.java, src/jacorb/poa/POAMonitorLightImpl.java, src/jacorb/poa/RPPoolManager.java, src/jacorb/poa/POAMonitorImpl.java, src/jacorb/poa/POAMonitor.java, src/jacorb/poa/POAManagerMonitorLightImpl.java, src/jacorb/poa/POAManagerMonitorImpl.java, src/jacorb/poa/POAManager.java, src/jacorb/poa/POAManagerMonitor.java, src/jacorb/poa/POAListener.java, src/jacorb/poa/POAConstants.java, src/jacorb/poa/POAAdapter.java, src/jacorb/poa/EventMulticaster.java, src/jacorb/poa/Current.java, src/jacorb/poa/EventListener.java, src/jacorb/poa/AOMListener.java, src/jacorb/poa/AOM.java:
	Update von R

	* src/jacorb/poa/POA.java:
	changed isPersistent() from protected to public

1999-10-04  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Environment.java: Trader changes plus IP-Address

1999-10-02  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/FixedPointType.java:
	made error messages in helpers mored detailed

1999-09-21  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/UnionType.java:
	added special treatment for helper generation if switch type is
	boolean in IDL (necessary because boolean is not a legal switch type
	in Java).

	* src/java_mapping/PortableServer/_POAStub.java, src/java_mapping/PortableServer/POAPOA.java, src/java_mapping/CORBA/TypeCode.java, src/java_mapping/CORBA/ORB.java, src/java_mapping/CORBA/FixedHolder.java, src/jacorb/poa/RequestProcessor.java, src/jacorb/orb/giop/Messages.java, src/jacorb/orb/dsi/ServerRequest.java, src/jacorb/orb/TypeCode.java, src/jacorb/orb/ORB.java, src/jacorb/orb/Environment.java, src/jacorb/orb/Connection.java, src/jacorb/orb/Delegate.java, src/jacorb/orb/CDROutputStream.java, src/jacorb/orb/CDRInputStream.java, src/jacorb/orb/Any.java, src/jacorb/orb/AdapterLayer.java, src/jacorb/idl/sym.java, src/jacorb/idl/parser.java, src/jacorb/idl/parser.cup, src/jacorb/idl/lexer.java, src/jacorb/idl/TypeDef.java, src/jacorb/idl/TemplateTypeSpec.java, src/jacorb/idl/SequenceType.java, src/jacorb/idl/StringType.java, src/jacorb/idl/OpDecl.java, src/jacorb/idl/OctetType.java, src/jacorb/idl/GlobalInputStream.java, src/jacorb/idl/ConstDecl.java, src/jacorb/idl/ArrayTypeSpec.java, demo/interceptors/ServerMessageInterceptor.java, demo/interceptors/RedirectClientRequestInterceptor.java, demo/interceptors/ClientMessageInterceptor.java, demo/grid/server.idl, demo/grid/gridOperationsImpl.java, demo/grid/_MyServerStub.java, demo/grid/gridImpl.java, demo/grid/_MyServerLocalStub.java, demo/grid/MyServerPOA.java, demo/grid/MyServerPOATie.java, demo/grid/MyServerOperations.java, demo/grid/Client.java, Makefile.win, Makefile, src/jacorb/naming/NamingContextImpl.java:
	*** empty log message ***

1999-09-10  Torsten Fink  <tnfink@z1>

	* src/jacorb/naming/NamingContextImpl.java:
	- removed the synchronized declarations (introduced by me in the last
	  commit), Hashtables are synchronized

1999-09-09  Torsten Fink  <tnfink@z1>

	* src/jacorb/naming/NamingContextImpl.java:
	- removed a small bug that causes a null pointer exception when one
	  inner name component was not found

1999-09-09  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Principal.java, classes/jacorb.jar:
	*** empty log message ***

	* src/jacorb/orb/Principal.java: added a comment in name()

1999-09-08  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/Delegate.java, src/jacorb/idl/lexer.java, src/jacorb/idl/StructType.java, src/jacorb/idl/ScopedName.java, src/jacorb/idl/Member.java, src/jacorb/idl/IdlSymbol.java, src/jacorb/events/channel.idl, demo/grid/Server.java, demo/benchmark/Client.java, bin/jaco, Makefile.build, Makefile:
	*** empty log message ***

1999-09-06  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/ORB.java: *** empty log message ***

	* src/jacorb/orb/Delegate.java:
	added reference counting to duplicate/release()

	* src/jacorb/orb/ORB.java:
	added extra check for invalid references in stub cache.

1999-08-16  Torsten Fink  <tnfink@z1>

	* src/jacorb/naming/NamingContextImpl.java:
	Patched error reported by Stephan Schiessling:

	If there are more than 20 names bound in a context, then
	lsns -r does not work.

	Reason: In NamingContextImpl.java, lines 378-383
	the variable how_many is decreased, but later, for
	   size -= how_many
	the original value of how_many is needed.

	Suggestion to fix:
	line 378: int how_many_sp = how_many.
	line 379-383: change the how_many to how_many_sp.

1999-08-13  Torsten Fink  <tnfink@z1>

	* src/java_cup/runtime/Makefile, src/jacorb/poa/Makefile, src/jacorb/poa/util/Makefile, src/jacorb/poa/policy/Makefile, src/jacorb/poa/gui/Makefile, src/jacorb/poa/except/Makefile, src/jacorb/orb/ir/Makefile, src/jacorb/orb/giop/Makefile, src/jacorb/orb/dynany/Makefile, src/jacorb/orb/dsi/Makefile, src/jacorb/orb/dii/Makefile:
	*** empty log message ***

1999-08-11  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/poa/RequestProcessor.java, src/jacorb/poa/RequestController.java, src/jacorb/poa/RPPoolManager.java, src/jacorb/poa/POAManager.java, src/jacorb/poa/POAMonitorImpl.java, src/jacorb/poa/POA.java, src/jacorb/poa/AOM.java, src/jacorb/orb/dynany/DynSequence.java, src/jacorb/orb/Connection.java, src/jacorb/orb/CDRInputStream.java, src/jacorb/orb/Any.java, src/jacorb/orb/AdapterLayer.java, src/jacorb/naming/NamingContextImpl.java, src/jacorb/idl/Interface.java, src/jacorb/events/JacORBEventChannelPOATie.java, src/jacorb/events/JacORBEventChannelPOA.java, demo/unions/MyServerPOATie.java, demo/unions/MyServerPOA.java, demo/unions/Makefile, demo/poa_monitor/Makefile, demo/poa_monitor/FooPOATie.java, demo/poa_monitor/FooFactoryPOATie.java, demo/poa_monitor/FooPOA.java, demo/poa_monitor/FooFactoryPOA.java, demo/outparam/MyServerPOATie.java, demo/outparam/MyServerPOA.java, demo/outparam/Makefile, demo/mtclient/ObserverPOA.java, demo/mtclient/ObserverPOATie.java, demo/mtclient/MyServerPOATie.java, demo/mtclient/MyServerPOA.java, demo/mtclient/Makefile, demo/interceptors/MyServerPOA.java, demo/interceptors/MyServerPOATie.java, demo/interceptors/Makefile, demo/grid/MyServerPOATie.java, demo/grid/MyServerPOA.java, demo/events/Makefile, demo/dynany/Makefile, demo/dynany/AnyServerPOATie.java, demo/dynany/AnyServerPOA.java, demo/dii/serverPOATie.java, demo/dii/Makefile, demo/dii/serverPOA.java, demo/benchmark/benchmark.idl, demo/benchmark/Makefile, demo/arrays/serverPOATie.java, demo/arrays/serverPOA.java, demo/arrays/Makefile, demo/any/Makefile, demo/any/AnyServerPOATie.java, demo/any/Client.java, demo/any/AnyServerPOA.java, demo/any/AnyServerImpl.java, demo/Makefile, bin/jaco.bat, jacorb_properties.template, zip.csh, REL_NOTES, Makefile.win, Makefile.config, Makefile.test, Makefile:
	beta 11,  summary:
	Changes for beta 11 (11 August 1999)

		1) updated, corrected and added Makefiles

		2) fixed two bugs in the NamingService

		3) fixed a few minor bugs in the IDL compiler

		4) fixed a bug in connection management that would not allow
		   connections to peers with high port numbers

		5) added a method "_this(orb)" to generated skeletons

		6) fixed Anys to support longlong data types (thanks to Al Davis)

		7) removed a few calls to JDK1.2-only API operations

1999-08-10  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/orb/util/Makefile, src/jacorb/orb/ORB.java, src/jacorb/orb/Makefile, src/jacorb/orb/Environment.java, src/jacorb/naming/NamingContextImpl.java, src/jacorb/naming/Makefile, src/jacorb/Makefile, idl/SecurityLevel2.idl, idl/CosTradingDynamic.idl, demo/grid/Makefile, demo/any/Makefile, bin/jaco, Makefile.config, Makefile, INSTALL, src/jacorb/orb/ir/Repository.java, src/jacorb/orb/ir/IDLType.java, src/jacorb/orb/ir/QueryIR.java:
	*** empty log message ***

1999-08-07  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/naming/NamingContextImpl.java: *** empty log message ***

	* src/jacorb/naming/NamingContextImpl.java:
	corrected a array length problem in resolve()
	(the newl created nc[] was one field too wide)

1999-08-06  Gerald Brose  <brose@inf.fu-berlin.de>

	* src/jacorb/idl/sym.java, src/jacorb/idl/str_token.java, src/jacorb/idl/parser.java, src/jacorb/idl/lexer.java, src/jacorb/idl/VoidTypeSpec.java, src/jacorb/idl/XorExpr.java, src/jacorb/idl/UnionType.java, src/jacorb/idl/TypeSpec.java, src/jacorb/idl/UnaryExpr.java, src/jacorb/idl/TypeMap.java, src/jacorb/idl/TypeDef.java, src/jacorb/idl/TypeDeclarator.java, src/jacorb/idl/TypeDeclaration.java, src/jacorb/idl/TypeCodeTypeSpec.java, src/jacorb/idl/Type.java, src/jacorb/idl/TemplateTypeSpec.java, src/jacorb/idl/SymbolList.java, src/jacorb/idl/SwitchTypeSpec.java, src/jacorb/idl/SwitchBody.java, src/jacorb/idl/StructType.java, src/jacorb/idl/StringType.java, src/jacorb/idl/Spec.java, src/jacorb/idl/SimpleDeclarator.java, src/jacorb/idl/SimpleTypeSpec.java, src/jacorb/idl/ShortType.java, src/jacorb/idl/ShiftExpr.java, src/jacorb/idl/SequenceType.java, src/jacorb/idl/ScopedName.java, src/jacorb/idl/Scope.java, src/jacorb/idl/RaisesExpr.java, src/jacorb/idl/PrimaryExpr.java, src/jacorb/idl/PosIntConst.java, src/jacorb/idl/PositionInfo.java, src/jacorb/idl/ParseError.java, src/jacorb/idl/ParamDecl.java, src/jacorb/idl/Operation.java, src/jacorb/idl/OrExpr.java, src/jacorb/idl/OpDecl.java, src/jacorb/idl/OctetType.java, src/jacorb/idl/NativeType.java, src/jacorb/idl/ObjectTypeSpec.java, src/jacorb/idl/NameTable.java, src/jacorb/idl/NameAlreadyDefined.java, src/jacorb/idl/MultExpr.java, src/jacorb/idl/Method.java, src/jacorb/idl/Module.java, src/jacorb/idl/MemberList.java, src/jacorb/idl/Member.java, src/jacorb/idl/LongType.java, src/jacorb/idl/Makefile, src/jacorb/idl/LongLongType.java, src/jacorb/idl/InterfaceBody.java, src/jacorb/idl/Literal.java, src/jacorb/idl/Interface.java, src/jacorb/idl/IntType.java, src/jacorb/idl/IdlSymbol.java, src/jacorb/idl/IRMap.java, src/jacorb/idl/FloatType.java, src/jacorb/idl/GlobalInputStream.java, src/jacorb/idl/FloatPtType.java, src/jacorb/idl/FixedArraySize.java, src/jacorb/idl/Entry.java, src/jacorb/idl/EnumType.java, src/jacorb/idl/ElementSpec.java, src/jacorb/idl/DoubleType.java, src/jacorb/idl/Definitions.java, src/jacorb/idl/Definition.java, src/jacorb/idl/Declaration.java, src/jacorb/idl/Declarator.java, src/jacorb/idl/Container.java, src/jacorb/idl/ConstrTypeSpec.java, src/jacorb/idl/ConstExpr.java, src/jacorb/idl/ConstType.java, src/jacorb/idl/ConstDecl.java, src/jacorb/idl/CharType.java, src/jacorb/idl/Case.java, src/jacorb/idl/BaseType.java, src/jacorb/idl/BooleanType.java, src/jacorb/idl/AttrDecl.java, src/jacorb/idl/ArrayTypeSpec.java, src/jacorb/idl/ArraySizeMismatchException.java, src/jacorb/idl/AnyType.java, src/jacorb/idl/ArrayDeclarator.java, src/jacorb/idl/AndExpr.java, src/jacorb/idl/AddExpr.java:
	Removed references to ParseError

	* src/jacorb/idl/parser.cup: *** empty log message ***

	* src/jacorb/idl/ScopedName.java:
	added an error message for undefined names in glocal scope
	and for accessing names as types when the resolved name does
	not have resolved type spec.

